Debian Bug report logs - #464197
snd-cs46xx.ko module seems to be missing from linux-image-2.6.24-1-686

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Anders Lagerås <anders.lageras@gmail.com>

Date: Tue, 5 Feb 2008 18:36:01 UTC

Severity: wishlist

Tags: help, wontfix

Merged with 430017, 455092, 462035, 468151, 476672, 477409, 493924, 493926, 493928

Found in versions 2.6.23-1, 2.6.24-1

Fixed in version linux-2.6/2.6.31-1~experimental.1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=10750

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: snd-cs46xx.ko module seems to be missing from linux-image-2.6.24-1-686
Date: Tue, 05 Feb 2008 19:32:41 +0100
Package: linux-image-2.6.24-1-686
Version: 2.6.24-2
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

snd-cs46xx.ko module seems to be missing from linux-image-2.6.24-1-686

- -- Package-specific info:
** Version:
Linux version 2.6.24-1-686 (Debian 2.6.24-2) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 SMP Thu Jan 31 20:35:50 UTC 2008

** Command line:
root=/dev/sda1 ro 

** Tainted: P (1)

** Kernel log:
Uniform CD-ROM driver Revision: 3.20
sr 7:0:0:0: Attached scsi CD-ROM sr0
sd 2:0:0:0: Attached scsi generic sg0 type 0
sd 3:0:0:0: Attached scsi generic sg1 type 0
sd 4:0:0:0: Attached scsi generic sg2 type 0
sr 7:0:0:0: Attached scsi generic sg3 type 5
Attempting manual resume
swsusp: Marking nosave pages: 000000000009f000 - 0000000000100000
swsusp: Basic memory bitmaps created
swsusp: Basic memory bitmaps freed
ReiserFS: sda1: found reiserfs format "3.6" with standard journal
ReiserFS: sda1: using ordered data mode
ReiserFS: sda1: journal params: device sda1, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: sda1: checking transaction log (sda1)
ReiserFS: sda1: Using r5 hash to sort names
input: Power Button (FF) as /class/input/input3
i2c-adapter i2c-0: nForce2 SMBus adapter at 0x1c00
i2c-adapter i2c-1: nForce2 SMBus adapter at 0x1c40
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input4
hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hda: drive_cmd: error=0x04 { DriveStatusError }
ide: failed opcode was: 0xef
ACPI: Power Button (CM) [PWRB]
input: PC Speaker as /class/input/input5
Real Time Clock Driver v1.12ac
hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hda: drive_cmd: error=0x04 { DriveStatusError }
ide: failed opcode was: 0xef
Adding 1951856k swap on /dev/sda5.  Priority:5 extents:1 across:1951856k
Adding 1951824k swap on /dev/sdb5.  Priority:4 extents:1 across:1951824k
Adding 1951856k swap on /dev/sdb6.  Priority:3 extents:1 across:1951856k
Adding 1953116k swap on /dev/sdc6.  Priority:2 extents:1 across:1953116k
Adding 1953116k swap on /dev/sdc5.  Priority:1 extents:1 across:1953116k
loop: module loaded
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.12.0-ioctl (2007-10-02) initialised: dm-devel@redhat.com
fuse init (API version 7.9)
SGI XFS with ACLs, security attributes, realtime, large block numbers, no debug enabled
SGI XFS Quota Management subsystem
XFS mounting filesystem sda9
Ending clean XFS mount for filesystem: sda9
XFS mounting filesystem sda7
Ending clean XFS mount for filesystem: sda7
ReiserFS: sda8: found reiserfs format "3.6" with standard journal
ReiserFS: sda8: using ordered data mode
ReiserFS: sda8: journal params: device sda8, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: sda8: checking transaction log (sda8)
ReiserFS: sda8: Using r5 hash to sort names
XFS mounting filesystem sda6
Ending clean XFS mount for filesystem: sda6
XFS mounting filesystem sdb7
Ending clean XFS mount for filesystem: sdb7
XFS mounting filesystem sdb8
Ending clean XFS mount for filesystem: sdb8
XFS mounting filesystem sdb9
Ending clean XFS mount for filesystem: sdb9
ip_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
u32 classifier
    Performance counters on
    input device check on 
    Actions configured 
Netfilter messages via NETLINK v0.30.
powernow-k8: Found 1 AMD Athlon(tm) 64 X2 Dual Core Processor 6000+ processors (2 cpu cores) (version 2.20.00)
powernow-k8:    0 : fid 0x16 (3000 MHz), vid 0x8
powernow-k8:    1 : fid 0x14 (2800 MHz), vid 0xa
powernow-k8:    2 : fid 0x12 (2600 MHz), vid 0xc
powernow-k8:    3 : fid 0x10 (2400 MHz), vid 0xe
powernow-k8:    4 : fid 0xe (2200 MHz), vid 0x10
powernow-k8:    5 : fid 0xc (2000 MHz), vid 0x10
powernow-k8:    6 : fid 0xa (1800 MHz), vid 0x10
powernow-k8:    7 : fid 0x2 (1000 MHz), vid 0x12
Clocksource tsc unstable (delta = -92894707 ns)
Linux agpgart interface v0.102
nvidia: module license 'NVIDIA' taints kernel.
ACPI: PCI Interrupt Link [APC6] enabled at IRQ 16
ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [APC6] -> GSI 16 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
NVRM: loading NVIDIA UNIX x86 Kernel Module  169.09  Fri Jan 11 14:38:28 PST 2008
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=219.95.254.132 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=109 ID=59819 PROTO=UDP SPT=32767 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=86.99.38.246 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=111 ID=36898 PROTO=UDP SPT=60919 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=92.81.147.8 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=112 ID=40419 PROTO=UDP SPT=49192 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=7596 PROTO=TCP SPT=4090 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=99.226.53.4 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=114 ID=5680 PROTO=UDP SPT=60059 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=8014 PROTO=TCP SPT=4090 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=8957 PROTO=TCP SPT=4090 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=61.92.6.238 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=112 ID=34447 PROTO=UDP SPT=14012 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=84.99.239.115 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=112 ID=10703 PROTO=UDP SPT=15335 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=83.148.86.80 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=112 ID=2841 PROTO=UDP SPT=23357 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=61695 PROTO=TCP SPT=4363 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=62023 PROTO=TCP SPT=4363 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=62621 PROTO=TCP SPT=4363 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=125.231.6.77 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=110 ID=7631 PROTO=UDP SPT=12982 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=218.210.80.16 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=114 ID=13532 PROTO=UDP SPT=1024 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=78.88.117.16 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=112 ID=29153 PROTO=UDP SPT=12336 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=220.220.53.155 DST=83.254.157.207 LEN=90 TOS=0x00 PREC=0x00 TTL=110 ID=12211 PROTO=UDP SPT=7221 DPT=9183 LEN=70 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=46050 PROTO=TCP SPT=4607 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=46839 PROTO=TCP SPT=4607 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 
firewall: IN=eth1 OUT= MAC=00:18:f3:b1:1b:1b:00:0f:90:27:e0:e5:08:00 SRC=90.230.72.203 DST=83.254.157.207 LEN=48 TOS=0x00 PREC=0x00 TTL=117 ID=47907 PROTO=TCP SPT=4607 DPT=9183 WINDOW=16384 RES=0x00 SYN URGP=0 

** Loaded modules:
Module                  Size  Used by
nvidia               7816448  24 
agpgart                31688  1 nvidia
cpufreq_ondemand        8492  1 
cpufreq_userspace       4260  0 
cpufreq_powersave       1856  0 
powernow_k8            14304  1 
freq_table              4512  2 cpufreq_ondemand,powernow_k8
nfnetlink_queue        11424  1 
nfnetlink               4856  2 nfnetlink_queue
video                  18672  0 
output                  3744  1 video
xt_NFQUEUE              2016  2 
xt_multiport            3040  6 
xt_length               1952  4 
xt_CLASSIFY             1888  10 
ipt_tos                 1664  4 
act_police              6724  1 
cls_u32                 8100  1 
sch_ingress             3328  1 
sch_sfq                 5728  3 
sch_htb                16000  1 
xt_tcpudp               3136  26 
iptable_nat             6916  0 
nf_nat                 18316  1 iptable_nat
nf_conntrack_ipv4      17352  23 iptable_nat
xt_state                2464  21 
nf_conntrack           62240  4 iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
iptable_mangle          2784  1 
xt_limit                2656  5 
ipt_LOG                 5952  4 
ipt_REJECT              4480  1 
iptable_filter          2976  1 
ip_tables              13188  3 iptable_nat,iptable_mangle,iptable_filter
x_tables               14244  12 xt_NFQUEUE,xt_multiport,xt_length,xt_CLASSIFY,ipt_tos,xt_tcpudp,iptable_nat,xt_state,xt_limit,ipt_LOG,ipt_REJECT,ip_tables
xfs                   500056  6 
fuse                   45204  7 
dm_snapshot            16964  0 
dm_mirror              21600  0 
dm_mod                 55812  2 dm_snapshot,dm_mirror
firewire_sbp2          14252  0 
loop                   16804  0 
rtc                    13052  0 
pcspkr                  3200  0 
k8temp                  5536  0 
i2c_nforce2             6464  0 
button                  8432  0 
i2c_core               22432  2 nvidia,i2c_nforce2
evdev                  11104  3 
reiserfs              210976  2 
sg                     33264  0 
sr_mod                 16708  0 
cdrom                  32512  1 sr_mod
sd_mod                 27104  19 
ide_disk               15648  0 
ata_generic             7428  0 
jmicron                 2496  0 [permanent]
sata_nv                25000  16 
usbhid                 28096  0 
hid                    34272  1 usbhid
floppy                 54628  0 
firewire_ohci          17760  0 
ahci                   26116  0 
firewire_core          39232  2 firewire_sbp2,firewire_ohci
crc_itu_t               2176  1 firewire_core
forcedeth              46860  0 
libata                144464  3 ata_generic,sata_nv,ahci
scsi_mod              141196  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
generic                 4388  0 [permanent]
amd74xx                 8752  0 [permanent]
ide_core              108292  4 ide_disk,jmicron,generic,amd74xx
ehci_hcd               32524  0 
ohci_hcd               21988  0 
usbcore               132940  4 usbhid,ehci_hcd,ohci_hcd
thermal                16028  0 
processor              36520  2 powernow_k8,thermal
fan                     4772  0 

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation MCP55 Memory Controller [10de:0369] (rev a1)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation MCP55 LPC Bridge [10de:0360] (rev a2)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 SMBus [0c05]: nVidia Corporation MCP55 SMBus [10de:0368] (rev a2)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at fc00 [size=64]
	Region 4: I/O ports at 1c00 [size=64]
	Region 5: I/O ports at 1c40 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:02.0 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036c] (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036d] (rev a2) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:04.0 IDE interface [0101]: nVidia Corporation MCP55 IDE [10de:036e] (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at f000 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE
	Kernel modules: amd74xx

00:05.0 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at 09f0 [size=8]
	Region 1: I/O ports at 0bf0 [size=4]
	Region 2: I/O ports at 0970 [size=8]
	Region 3: I/O ports at 0b70 [size=4]
	Region 4: I/O ports at dc00 [size=16]
	Region 5: Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv

00:05.1 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 16
	Region 0: I/O ports at 09e0 [size=8]
	Region 1: I/O ports at 0be0 [size=4]
	Region 2: I/O ports at 0960 [size=8]
	Region 3: I/O ports at 0b60 [size=4]
	Region 4: I/O ports at c800 [size=16]
	Region 5: Memory at fe02c000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv

00:05.2 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin C routed to IRQ 18
	Region 0: I/O ports at c400 [size=8]
	Region 1: I/O ports at c000 [size=4]
	Region 2: I/O ports at bc00 [size=8]
	Region 3: I/O ports at b800 [size=4]
	Region 4: I/O ports at b400 [size=16]
	Region 5: Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv

00:06.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI bridge [10de:0370] (rev a2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	Memory behind bridge: fdd00000-fdefffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn+
	Capabilities: <access denied>

00:08.0 Bridge [0680]: nVidia Corporation MCP55 Ethernet [10de:0373] (rev a2)
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:8239]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 221
	Region 0: Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at b000 [size=8]
	Region 2: Memory at fe029000 (32-bit, non-prefetchable) [size=256]
	Region 3: Memory at fe028000 (32-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0e.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0375] (rev a2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00009000-0000afff
	Memory behind bridge: fdc00000-fdcfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0f.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0377] (rev a2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: f8000000-fbffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp
	Kernel modules: k8temp

01:07.0 Multimedia audio controller [0401]: Cirrus Logic CS 4614/22/24/30 [CrystalClear SoundFusion Audio Accelerator] [1013:6003] (rev 01)
	Subsystem: Voyetra Technologies Santa Cruz [5053:3357]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1000ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at fdeff000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at fdd00000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

01:0b.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link) [104c:8023] (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. K8N4-E Mainboard [1043:808b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at fdefe000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at fdef8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:00.0 SATA controller [0106]: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller [197b:2363] (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81e4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 17
	Region 5: Memory at fdcfe000 (32-bit, non-prefetchable) [size=8K]
	Expansion ROM at fdce0000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

02:00.1 IDE interface [0101]: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller [197b:2363] (rev 02) (prog-if 85 [Master SecO PriO])
	Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81e4]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at ac00 [size=8]
	Region 1: I/O ports at a800 [size=4]
	Region 2: I/O ports at a400 [size=8]
	Region 3: I/O ports at a000 [size=4]
	Region 4: I/O ports at 9c00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: JMicron IDE
	Kernel modules: jmicron

03:00.0 VGA compatible controller [0300]: nVidia Corporation G80 [GeForce 8800 GTS] [10de:0193] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Unknown device [10de:0421]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at 8c00 [size=128]
	[virtual] Expansion ROM at fbfe0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nvidiafb, nvidia



- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (995, 'unstable'), (700, 'testing'), (600, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=sv_SE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-686 depends on:
ii  debconf [debconf-2.0]        1.5.19      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.91d       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.24-1-686 recommends:
ii  libc6-i686                    2.7-6      GNU C Library: Shared libraries [i

- -- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.24-1-686/preinst/overwriting-modules-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/bootloader-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/create-kimage-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-system-map-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/prerm/would-invalidate-boot-loader-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/initrd-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/failed-to-move-modules-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/depmod-error-initrd-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/bootloader-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.24-1-686/postinst/old-dir-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/abort-install-2.6.24-1-686:
  linux-image-2.6.24-1-686/prerm/removing-running-kernel-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/depmod-error-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/abort-overwrite-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/elilo-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/bootloader-test-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.24-1-686/preinst/lilo-initrd-2.6.24-1-686: true

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHqKvJw5UvgfnzqGoRAj+QAJ9/qEui2YGrOPkoFOkszPJlorbZSQCdE1hc
99p2s2rhNVsVHtEnEpp2o0E=
=z124
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to tran@ms20.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 464197@bugs.debian.org (full text, mbox):

From: Jan Hetges <tran@ms20.net>
To: 464197@bugs.debian.org
Subject: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Wed, 13 Feb 2008 13:33:05 -0600
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.24-1-686
Version: 2.6.24-4
Severity: normal

Hi,
me personal, would consider it 'grave', though ;-)
could please someone reenable snd-cs46xx ?
thanx

  --Jan


-- Package-specific info:
** Version:
Linux version 2.6.24-1-686 (Debian 2.6.24-4) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 SMP Mon Feb 11 14:37:45 UTC 2008

** PCI devices:

00:05.0 Multimedia audio controller [0401]: Cirrus Logic CS 4614/22/24/30 [CrystalClear SoundFusion Audio Accelerator] [1013:6003] (rev 01)
	Subsystem: IBM ThinkPad A20m [1014:0153]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e8010000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at e8100000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 464197@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: tran@ms20.net, 464197@bugs.debian.org
Subject: Re: Bug#464197: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Thu, 14 Feb 2008 11:26:27 +0100
severity 464197 wishlist
tags 464197 help
thanks

On Wed, Feb 13, 2008 at 01:33:05PM -0600, Jan Hetges wrote:
> could please someone reenable snd-cs46xx ?

No. Not until you provided a patch which seperates the firmware.

Bastian

-- 
Prepare for tomorrow -- get ready.
		-- Edith Keeler, "The City On the Edge of Forever",
		   stardate unknown




Severity set to `wishlist' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2008 10:27:08 GMT) Full text and rfc822 format available.

Tags added: help Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2008 10:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 464197@bugs.debian.org
Subject: Re: Bug#464197: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Sat, 23 Feb 2008 16:50:00 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank <waldi@debian.org> writes:

> On Wed, Feb 13, 2008 at 01:33:05PM -0600, Jan Hetges wrote:
>> could please someone reenable snd-cs46xx ?
>
> No. Not until you provided a patch which seperates the firmware.

Will the firmware be distributable if separated?
<http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/sys/dev/pci/cs4280_image.h?rev=1.4>
is the same blob as linux-2.6.22/sound/pci/cs46xx/cs46xx_image.h,
with this comment:

/* This source is based on cwcimage.h in cwcealdr1.zip, the
 * sample source by Crystal Semiconductor.
 * (ftp://ftp.alsa-project.org/pub/manuals/cirrus/cwcealdr1.zip.)
 *
 * Just remove \r in each line and add this comments.
 *
 * Original file contains no copyright notice.
 */

There is indeed no copyright notice in cwcimage.h.
Several other files in cwcealdr1.zip contain notices such as:

//    Copyright(c) 1996 Crystal Semiconductor Corp. All Rights Reserved.

with various years, and "All Rights Reserved" in not all files.

Crystal Semiconductor is a subsidiary of Cirrus Logic.
<http://www.cirrus.com/en/products/eol/index.html> shows that
Cirrus Logic no longer supports CS4614, CS4624, and CS4630.
The product list at <http://www.cirrus.com/en/support/>
does not include any CS46xx chips.  As there appears to be
no revenue to Cirrus Logic from these chips any more, I am
pessimistic on the chances to make them spend lawyer time
on a clear distribution licence.

At <http://kerneltrap.org/node/7184> however, there is a quote:
"Intel must do this firmware grant in the same way that Adaptec,
Atmel, Broadcom, Cirrus Logic, Cyclades, QLogic, Ralink, and LSI
and lots of other companies have granted distribution firmware to
be used by others."  What sort of licence grant this refers to,
I could not find in the NetBSD CVS.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 464197@bugs.debian.org
Subject: Re: Bug#464197: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Thu, 06 Mar 2008 09:35:45 +0200
[Message part 1 (text/plain, inline)]
This is work in progress.  To build it, you must disable
SND_CS46XX_NEW_DSP.  I have not yet run this due to difficulties
with LVM, but I am posting this in case someone more
knowledgeable about request_firmware cares to comment.
cs46xx_image.h should be converted to a binary file on a 
little-endian machine where unsigned long is 32-bit.
The driver will then convert it to CPU byte order.

diff -ru linux-2.6-2.6.24/sound/pci/cs46xx/cs46xx_lib.c HACKED/linux-2.6-2.6.24/sound/pci/cs46xx/cs46xx_lib.c
--- linux-2.6-2.6.24/sound/pci/cs46xx/cs46xx_lib.c	2008-01-25 00:58:37.000000000 +0200
+++ HACKED/linux-2.6-2.6.24/sound/pci/cs46xx/cs46xx_lib.c	2008-02-24 19:10:48.000000000 +0200
@@ -4,6 +4,8 @@
  *                   Cirrus Logic, Inc.
  *  Routines for control of Cirrus Logic CS461x chips
  *
+ *  Modified on 2008-02-24 by Kalle Olavi Niemitalo.
+ *
  *  KNOWN BUGS:
  *    - Sometimes the SPDIF input DSP tasks get's unsynchronized
  *      and the SPDIF get somewhat "distorcionated", or/and left right channel
@@ -54,6 +56,7 @@
 #include <linux/slab.h>
 #include <linux/gameport.h>
 #include <linux/mutex.h>
+#include <linux/firmware.h>
 
 
 #include <sound/core.h>
@@ -358,22 +361,70 @@
 
 #else /* old DSP image */
 
-#include "cs46xx_image.h"
-
-int snd_cs46xx_download_image(struct snd_cs46xx *chip)
+static int snd_cs46xx_download_image(struct snd_cs46xx *chip)
 {
 	int idx, err;
-	unsigned long offset = 0;
+	size_t offset;
+	const size_t maxbytes = BA1_MEMORY_COUNT * 0x10000;
+	const struct firmware *firmware = NULL;
+	const struct fwhunk { u32 offset, size; } *hunks;
+
+	err = request_firmware(&firmware, "cs46xx/cwcealdr1_cwcimage",
+			       &chip->pci->dev);
+	if (err < 0) {
+		snd_printk( KERN_ERR "cs46xx: no firmware\n");
+		goto end;
+	}
 
+	for (offset = 0; offset < firmware->size; offset += sizeof(u32))
+		le32_to_cpup((u32 *) (firmware->data + offset));
+	hunks = (const struct fwhunk *) firmware->data;
+
+	/* some validation, mostly pointless from a security viewpoint
+	 * as malicious firmware can do random DMA anyway */
+	offset = BA1_MEMORY_COUNT * sizeof(struct fwhunk);
+	if (firmware->size < offset) {
+		snd_printk( KERN_ERR "cs46xx: firmware too small\n");
+		err = -EINVAL;
+		goto end;
+	}
 	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
-		if ((err = snd_cs46xx_download(chip,
-					       &BA1Struct.map[offset],
-					       BA1Struct.memory[idx].offset,
-					       BA1Struct.memory[idx].size)) < 0)
-			return err;
-		offset += BA1Struct.memory[idx].size >> 2;
-	}	
-	return 0;
+		if (hunks[idx].offset % sizeof(u32)
+		    || hunks[idx].size % sizeof(u32)) {
+			snd_printk( KERN_ERR "cs46xx: firmware hunk misaligned\n");
+			err = -EINVAL;
+			goto end;
+		}
+
+		if (hunks[idx].offset >= maxbytes
+		    || hunks[idx].size >= maxbytes - hunks[idx].offset) {
+			snd_printk( KERN_ERR "cs46xx: firmware hunk out of range\n");
+			err = -EINVAL;
+			goto end;
+		}
+		offset += hunks[idx].size;
+	}
+	if (firmware->size != offset) {
+		snd_printk( KERN_ERR "cs46xx: firmware size mismatch\n");
+		err = -EINVAL;
+		goto end;
+	}
+
+	/* the actual download */
+	offset = BA1_MEMORY_COUNT * sizeof(struct fwhunk);
+	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
+		err = snd_cs46xx_download(chip,
+					  (__u32 *) (firmware->data + offset),
+					  hunks[idx].offset,
+					  hunks[idx].size);
+		if (err < 0)
+			goto end;
+		offset += hunks[idx].size;
+	}
+	err = 0;
+end:
+	release_firmware(firmware);
+	return err;
 }
 #endif /* CONFIG_SND_CS46XX_NEW_DSP */
 
@@ -3942,3 +3993,5 @@
 	*rchip = chip;
 	return 0;
 }
+
+MODULE_FIRMWARE("cs46xx/cwcealdr1_cwcimage");
diff -ru linux-2.6-2.6.24/sound/pci/Kconfig HACKED/linux-2.6-2.6.24/sound/pci/Kconfig
--- linux-2.6-2.6.24/sound/pci/Kconfig	2008-01-25 09:59:32.000000000 +0200
+++ HACKED/linux-2.6-2.6.24/sound/pci/Kconfig	2008-02-24 15:19:57.000000000 +0200
@@ -1,4 +1,5 @@
 # ALSA PCI drivers
+# Modified on 2008-02-24 by Kalle Olavi Niemitalo
 
 menu "PCI devices"
 	depends on SND!=n && PCI
@@ -197,8 +198,8 @@
 
 config SND_CS46XX
 	tristate "Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x"
-	depends on BROKEN
 	depends on SND
+	select FW_LOADER
 	select SND_RAWMIDI
 	select SND_AC97_CODEC
 	help
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 464197@bugs.debian.org
Subject: Re: Bug#464197: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Sun, 06 Apr 2008 21:46:24 +0300
[Message part 1 (text/plain, inline)]
Here's a variant that I've actually dared to run.
The sound seems to be working, however rear channels
and S/PDIF probably won't work because SND_CS46XX_NEW_DSP
is still BROKEN.

Like before, sound/pci/cs46xx/write_images.c must be run
on a computer where unsigned long is little-endian 32-bit.
/usr/lib/hotplug/firmware/cs46xx/cwcealdr1_cwcimage saved
this way will then be usable on all architectures.

diff --git a/sound/pci/Kconfig b/sound/pci/Kconfig
index 3b060ab..d963904 100644
--- a/sound/pci/Kconfig
+++ b/sound/pci/Kconfig
@@ -1,4 +1,5 @@
 # ALSA PCI drivers
+# Modified on 2008-02-24 by Kalle Olavi Niemitalo
 
 menu "PCI devices"
 	depends on SND!=n && PCI
@@ -197,8 +198,8 @@ config SND_CS4281
 
 config SND_CS46XX
 	tristate "Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x"
-	depends on BROKEN
 	depends on SND
+	select FW_LOADER
 	select SND_RAWMIDI
 	select SND_AC97_CODEC
 	help
@@ -210,6 +211,7 @@ config SND_CS46XX
 
 config SND_CS46XX_NEW_DSP
 	bool "Cirrus Logic (Sound Fusion) New DSP support"
+	depends on BROKEN
 	depends on SND_CS46XX
 	default y
 	help
diff --git a/sound/pci/cs46xx/cs46xx_lib.c b/sound/pci/cs46xx/cs46xx_lib.c
index 2c7bfc9..ed551e1 100644
--- a/sound/pci/cs46xx/cs46xx_lib.c
+++ b/sound/pci/cs46xx/cs46xx_lib.c
@@ -4,6 +4,8 @@
  *                   Cirrus Logic, Inc.
  *  Routines for control of Cirrus Logic CS461x chips
  *
+ *  Modified on 2008-02-24 by Kalle Olavi Niemitalo.
+ *
  *  KNOWN BUGS:
  *    - Sometimes the SPDIF input DSP tasks get's unsynchronized
  *      and the SPDIF get somewhat "distorcionated", or/and left right channel
@@ -54,6 +56,7 @@
 #include <linux/slab.h>
 #include <linux/gameport.h>
 #include <linux/mutex.h>
+#include <linux/firmware.h>
 
 
 #include <sound/core.h>
@@ -358,23 +361,91 @@ int snd_cs46xx_clear_BA1(struct snd_cs46xx *chip,
 
 #else /* old DSP image */
 
-#include "cs46xx_image.h"
+struct cs46xx_cwcimage_hunk {
+	u32 offset;
+	u32 size;
+};
 
-int snd_cs46xx_download_image(struct snd_cs46xx *chip)
+/* some validation, mostly pointless from a security viewpoint
+ * as malicious firmware can presumably do random DMA anyway */
+static int snd_cs46xx_check_image_size(const struct firmware *firmware)
 {
-	int idx, err;
-	unsigned long offset = 0;
+	const struct cs46xx_cwcimage_hunk *const hunks
+	  = (const struct cs46xx_cwcimage_hunk *) firmware->data;
+	const size_t maxbytes = BA1_MEMORY_COUNT * 0x10000;
+	size_t offset;
+	int idx;
 
+	offset = BA1_MEMORY_COUNT * sizeof(struct cs46xx_cwcimage_hunk);
+	if (firmware->size < offset) {
+		snd_printk( KERN_ERR "cs46xx: firmware too small\n");
+		return -EINVAL;
+	}
 	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
-		if ((err = snd_cs46xx_download(chip,
-					       &BA1Struct.map[offset],
-					       BA1Struct.memory[idx].offset,
-					       BA1Struct.memory[idx].size)) < 0)
-			return err;
-		offset += BA1Struct.memory[idx].size >> 2;
-	}	
+		if (hunks[idx].offset % sizeof(u32)
+		    || hunks[idx].size % sizeof(u32)) {
+			snd_printk( KERN_ERR "cs46xx: firmware hunk misaligned\n");
+			return -EINVAL;
+		}
+
+		if (hunks[idx].offset >= maxbytes
+		    || hunks[idx].size >= maxbytes - hunks[idx].offset) {
+			snd_printk( KERN_ERR "cs46xx: firmware hunk out of range\n");
+			return -EINVAL;
+		}
+		offset += hunks[idx].size;
+	}
+	if (firmware->size != offset) {
+		snd_printk( KERN_ERR "cs46xx: firmware size mismatch\n");
+		return -EINVAL;
+	}
+
 	return 0;
 }
+
+static int snd_cs46xx_download_image(struct snd_cs46xx *chip)
+{
+	int idx, err;
+	size_t offset;
+	const struct firmware *firmware = NULL;
+	const struct cs46xx_cwcimage_hunk *hunks;
+
+	err = request_firmware(&firmware, "cs46xx/cwcealdr1_cwcimage",
+			       &chip->pci->dev);
+	if (err < 0) {
+		snd_printk( KERN_ERR "cs46xx: no firmware\n");
+		goto end;
+	}
+
+	if (firmware->size % sizeof(u32) != 0) {
+		snd_printk( KERN_ERR "cs46xx: firmware size misaligned\n");
+		err = -EINVAL;
+		goto end;
+	}
+	for (offset = 0; offset < firmware->size; offset += sizeof(u32))
+		le32_to_cpup((u32 *) (firmware->data + offset));
+
+	err = snd_cs46xx_check_image_size(firmware);
+	if (err < 0)
+		goto end;
+	hunks = (const struct cs46xx_cwcimage_hunk *) firmware->data;
+
+	/* the actual download */
+	offset = BA1_MEMORY_COUNT * sizeof(struct cs46xx_cwcimage_hunk);
+	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
+		err = snd_cs46xx_download(chip,
+					  (__u32 *) (firmware->data + offset),
+					  hunks[idx].offset,
+					  hunks[idx].size);
+		if (err < 0)
+			goto end;
+		offset += hunks[idx].size;
+	}
+	err = 0;
+end:
+	release_firmware(firmware);
+	return err;
+}
 #endif /* CONFIG_SND_CS46XX_NEW_DSP */
 
 /*
@@ -3942,3 +4013,5 @@ int __devinit snd_cs46xx_create(struct snd_card *card,
 	*rchip = chip;
 	return 0;
 }
+
+MODULE_FIRMWARE("cs46xx/cwcealdr1_cwcimage");
diff --git a/sound/pci/cs46xx/write_images.c b/sound/pci/cs46xx/write_images.c
new file mode 100644
index 0000000..bc7f2c2
--- /dev/null
+++ b/sound/pci/cs46xx/write_images.c
@@ -0,0 +1,66 @@
+/*
+ *  Write out firmware images for Cirrus Logic's Sound Fusion CS46XX
+ *  based soundcards
+ *  Copyright (c) by Jaroslav Kysela <perex@perex.cz>
+ *
+ *
+ *   This program is free software; you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation; either version 2 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+ *
+ * Modified on 2008-04-06 by Kalle Olavi Niemitalo.
+ */
+
+#include <stdio.h>
+#include <stdint.h>
+#include <unistd.h>
+#include <sys/stat.h>
+
+/* The following two #defines were copied from
+ * linux-2.6.24/sound/pci/cs46xx/cs46xx_lib.h,
+ * Copyright (c) by Jaroslav Kysela <perex@perex.cz> */
+/* 3*1024 parameter, 3.5*1024 sample, 2*3.5*1024 code */
+#define BA1_DWORD_SIZE		(13 * 1024 + 512)
+#define BA1_MEMORY_COUNT	3
+
+typedef uint32_t u32;
+#include "../../../../../linux-2.6-2.6.22/sound/pci/cs46xx/cs46xx_image.h"
+
+static int write_image(const char *filename, const void *data, size_t len)
+{
+  FILE *file = fopen(filename, "wb");
+  if (file == NULL) {
+    perror(filename);
+    return 1;
+  }
+  if (fwrite(data, len, 1, file) != 1) {
+    perror(filename);
+    fclose(file);
+    remove(filename);
+    return 1;
+  }
+  if (fclose(file) != 0) {
+    perror(filename);
+    remove(filename);
+    return 1;
+  }
+  return 0;
+}
+
+int main(void)
+{
+  mkdir("cs46xx", S_IRWXU | S_IRWXG | S_IRWXO);
+  if (write_image("cs46xx/cwcealdr1_cwcimage", &BA1Struct, sizeof BA1Struct))
+    return 1;
+  return 0;
+}
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Mikko Rapeli <mikko.rapeli@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 464197@bugs.debian.org (full text, mbox):

From: Mikko Rapeli <mikko.rapeli@iki.fi>
To: 464197@bugs.debian.org
Subject: Enable cs46xx for etchnhalf?
Date: Wed, 9 Apr 2008 10:31:23 +0300
Please enable drivers with firmware/binary blobs in etchnhalf kernel --
at least the drivers which are included in 2.6.18.dfsg.1-18etch1.

I'd like to use a USB wlan stick (A-Link ID 0ace:1215 ZyDAS, needs
zd1211-firmware from non-free) which seems to require 2.6.24, but I'd also 
like to hear sound from this Thinkpad T20 with 00:05.0 Multimedia audio 
controller: Cirrus Logic CS 4614/22/24 [CrystalClear SoundFusion Audio 
Accelerator] (rev 01) using the cs46xx driver.

Newer firmware interfaces and separate firmware packages are ok, but
not for etch/stable, right?

-Mikko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 464197@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Mikko Rapeli <mikko.rapeli@iki.fi>
Cc: project-etchnahalf@teams.debian.net, debian-kernel@lists.debian.org, 464197@bugs.debian.org
Subject: Re: enable cs46xx for etchnahalf?
Date: Thu, 10 Apr 2008 01:57:24 -0600
On Wed, Apr 09, 2008 at 01:04:39PM +0300, Mikko Rapeli wrote:
> Hello,
> 
> Wiki page told to post here, though perhaps you follow debian-kernel
> bugs too. Anyway, added support for newer hardware would be great if 
> previously working drivers would keep working :)
> 
> What are the odds of applying the firmware separating patch from
> #464197 and creating a new firmware package? For etchnahalf?

Unfortunately in this case it is simply does not appear legal for
Debian to redistribute this firmware. I've sent a request to Cirrus
Logic for a license granting free redistribution. I doubt I'm the
first, but its worth a try..

That aside, I wonder if there's any good reasons to not take the split
out patch, allowing these cards to function if the user chooses to
manually install this firmware image.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Mikko Rapeli <mikko.rapeli@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 464197@bugs.debian.org (full text, mbox):

From: Mikko Rapeli <mikko.rapeli@iki.fi>
To: dann frazier <dannf@dannf.org>
Cc: project-etchnahalf@teams.debian.net, debian-kernel@lists.debian.org, 464197@bugs.debian.org
Subject: Re: enable cs46xx for etchnahalf?
Date: Thu, 10 Apr 2008 12:56:33 +0300
On Thu, Apr 10, 2008 at 01:57:24AM -0600, dann frazier wrote:
> On Wed, Apr 09, 2008 at 01:04:39PM +0300, Mikko Rapeli wrote:
> > Hello,
> > 
> > Wiki page told to post here, though perhaps you follow debian-kernel
> > bugs too. Anyway, added support for newer hardware would be great if 
> > previously working drivers would keep working :)
> > 
> > What are the odds of applying the firmware separating patch from
> > #464197 and creating a new firmware package? For etchnahalf?
> 
> Unfortunately in this case it is simply does not appear legal for
> Debian to redistribute this firmware. I've sent a request to Cirrus
> Logic for a license granting free redistribution. I doubt I'm the
> first, but its worth a try..

Ok. Thanks this and for updating the
http://wiki.debian.org/KernelFirmwareLicensing wiki page on the status :)

> That aside, I wonder if there's any good reasons to not take the split
> out patch, allowing these cards to function if the user chooses to
> manually install this firmware image.

I tested the kernel patch and made an initial attempt at packaging the
firmware blob:

- URL: http://mentors.debian.net/debian/pool/non-free/c/cs46xx-firmware
- Source repository: deb-src http://mentors.debian.net/debian unstable
  main contrib non-free
- dget http://mentors.debian.net/debian/pool/non-free/c/cs46xx-firmware/cs46xx-firmware_0.1-1.dsc

The patch and firmware package were tested on my Thinkpad T20 and they
seem to work. The kernel patch should be more verbose when loading the
firmware or when the image is missing, but other than that they seem to
work.

Feel free to sponsor, adopt, hijack, NMU, fix or redo the package, if it helps
getting cs46xx audio driver back.

-Mikko




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 464197@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: dann frazier <dannf@dannf.org>, project-etchnahalf@teams.debian.net, debian-kernel@lists.debian.org, 464197@bugs.debian.org
Subject: Re: Bug#464197: enable cs46xx for etchnahalf?
Date: Thu, 10 Apr 2008 12:08:35 +0200
Mikko Rapeli wrote:
> Feel free to sponsor, adopt, hijack, NMU, fix or redo the package, if it helps
> getting cs46xx audio driver back.

Thanks for your work, I'll check to integrate that firmware into
firmware-nonfree tomorrow. There should really, really not be any
firmware (source) packages out there anymore but the kernel teams
firmware package(s).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 464197@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Daniel Baumann <daniel@debian.org>
Cc: project-etchnahalf@teams.debian.net, debian-kernel@lists.debian.org, 464197@bugs.debian.org
Subject: Re: Bug#464197: enable cs46xx for etchnahalf?
Date: Thu, 10 Apr 2008 09:08:25 -0600
On Thu, Apr 10, 2008 at 12:08:35PM +0200, Daniel Baumann wrote:
> Mikko Rapeli wrote:
> > Feel free to sponsor, adopt, hijack, NMU, fix or redo the package, if it helps
> > getting cs46xx audio driver back.
> 
> Thanks for your work, I'll check to integrate that firmware into
> firmware-nonfree tomorrow. There should really, really not be any
> firmware (source) packages out there anymore but the kernel teams
> firmware package(s).

Sorry if I'm missing something, but in this case I don't think we can
legally include it in non-free since there is no license and
therefore no permission to redistribute :(

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 464197@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Cc: project-etchnahalf@teams.debian.net, debian-kernel@lists.debian.org
Subject: Re: Bug#464197: enable cs46xx for etchnahalf?
Date: Thu, 10 Apr 2008 19:25:34 +0200
dann frazier wrote:
> Sorry if I'm missing something, but in this case I don't think we can
> legally include it in non-free since there is no license and
> therefore no permission to redistribute :(

yep, as stated on my answer here:
http://lists.debian.org/debian-mentors/2008/04/msg00141.html

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 464197@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 464197@bugs.debian.org
Subject: How to apply the patches?
Date: Fri, 11 Apr 2008 12:46:46 -0700 (PDT)
Thanks for the great work on reenabling cs46xx.  Will
there eventually be a deb package that can be
installed or should we do a manual install?  If manual
installation is required can we see an INSTALL doc to
wire this up?  I have all the pieces downloaded but
don't know where to go from here.  Thanks again.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 464197@bugs.debian.org
Subject: Re: Bug#464197: linux-image-2.6.24-1-686: module snd-cs46xx still missing
Date: Sat, 12 Apr 2008 03:03:37 +0300
[Message part 1 (text/plain, inline)]
The patch I posted leaves SND_CS46XX_NEW_DSP broken.  Because I
have neither rear speakers nor an S/PDIF capable amplifier, and
the newer firmware consists of multiple structures and so is more
difficult to load, I don't currently intend to work on that.

One trap with the patch is that it converts the endianness in
place.  With Linux 2.6.24, this works because request_firmware()
always makes a fresh copy.  However if a reference count is later
added to struct firmware, this scheme will break.  I see that
<linux/firmware.h> makes the struct firmware const but not the
bytes to which its "data" member points; might it be inferred
From this that the data is intended to be modified by drivers?

When testing the patch, I had linux-image-2.6.24-1-686 2.6.24-3
running.  I then unpacked the corresponding sources, made the
changes, ran make -f debian/rules.gen binary-arch_i386_none_686,
and loaded the generated cs46xx.ko without rebooting; the
interfaces between modules remain compatible.  With earlier
versions of the linux-2.6 source, building all the binary
packages has taken 11 to 22 hours here, so calling
debian/rules.gen directly was a huge timesaver.  If this shortcut
is documented, I don't know where.

The patch assumes the binary firmware image is little-endian, and
converts it to host byte order.  Personally, I prefer to have a
fixed format for each data file so that they can be freely shared
between architectures.  I chose little-endian u32 here because
that was easiest for me to output.  I did not bother to implement
the proper conversions in the write_images program though.  If
that source code is going to be added to an Architecture: any
package, then both word-size and endianness conversions should be
implemented.  The original cwcealdr1.zip/cwcimage.h does not
include the definition of struct BA1struct, so I suppose there
wouldn't be any problem in ripping it out again and instead
providing (in the #including file) a definition that has u32 in
the place of unsigned long.  Alternatively, the driver could be
changed to assume that the firmware is already in a host-specific
format.

If Cirrus Logic grants permission to distribute the cs46xx
firmware included in the upstream Linux sources, will that
suffice for SND_CS46XX_NEW_DSP too, or will separate permission
be needed from the author of sound/pci/cs46xx/imgs/cwcdma.asp?
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #79 received at 464197-quiet@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: 455092@bugs.debian.org, 468151@bugs.debian.org, 464197-quiet@bugs.debian.org
Subject: see bug 464197
Date: Sat, 12 Apr 2008 04:31:49 +0300
[Message part 1 (text/plain, inline)]
There are three Debian bug reports about the removal of cs46xx firmware:

bug 455092 in linux-2.6
bug 464197 in linux-image-2.6.24-1-686
bug 468151 in linux-source-2.6.24

So far, bug 464197 has got the greatest number of messages.
I think it would be good to concentrate future discussions there.
I'll leave it for the kernel team to decide whether and how to
merge the bug reports.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 464197@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 464197@bugs.debian.org
Subject: [linux-image-2.6.24-1-686] license issues with firmware for module snd-cs46xx
Date: Fri, 18 Apr 2008 09:48:50 +0200
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.24-1-686
Version: 2.6.24-5

--- Please enter the report below this line. ---

Dear DDs,


I was wondering if the kernel and alsa developers are aware of this
problem—as Paul Wise stated [1], they are not allowed to distribute this
firmware—and if not, if there should be opened a bug upstream.

Doing this, maybe we could get more help in this issue and maybe some
developers have some better contact channels to cirrus.

Secondly, I also want to contact cirrus [2] as Dann did, but I cannot
find the part number CS46… in the drop down list. What part number,
should I use? And are there already templates to write in such cases?

I hope this issue will be fixed soon. Thanks,


Paul


[1] http://lists.debian.org/debian-mentors/2008/04/msg00140.html
[2]
http://www.cirrus.com/dispatch/setlang/en/forms/sup/dreq/dinfo/DinfoController.jpf


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.24-1-686

Debian Release: lenny/sid
  500 unstable        debian.tu-bs.de 

--- Package information. ---
Depends                       (Version) | Installed
=======================================-+-===============
initramfs-tools              (>= 0.55)  | 0.92
 OR yaird                (>= 0.0.12-8)  | 
 OR linux-initramfs-tool                | 
module-init-tools                       | 3.4-1

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `linux-image-2.6.24-1-686' to `linux-2.6'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 22 Apr 2008 08:54:05 GMT) Full text and rfc822 format available.

Forcibly Merged 464197 476672. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 22 Apr 2008 08:54:06 GMT) Full text and rfc822 format available.

Forcibly Merged 455092 464197 468151 476672. Request was from dererk <dererk@madap.com.ar> to control@bugs.debian.org. (Sat, 10 May 2008 13:51:09 GMT) Full text and rfc822 format available.

Forcibly Merged 455092 462035 464197 468151 476672 477409. Request was from dererk <dererk@madap.com.ar> to control@bugs.debian.org. (Sat, 10 May 2008 14:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to UlisesVitulli <uvitulli@fi.uba.ar>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 464197@bugs.debian.org (full text, mbox):

From: UlisesVitulli <uvitulli@fi.uba.ar>
To: Jaroslav Kysela <perex@perex.cz>
Cc: 464197@bugs.debian.org
Subject: Concerns about CS46xx driver
Date: Sat, 10 May 2008 12:47:05 -0300
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Jaroslav Kysela!

Some folks and I have some concerns about something found in CS46xx
Cirrus Logic firmware[1].
Unfortunately it does not provide a license with it, which, as our
understandings[2], it makes it undistributable.

Do you think It will be possible for you to get the proper permissions
to license it as the software it comes with (GPL)?
If not, do you think it would be possible for you to provide us a
possible "direct" communication channel with Cirrus Logic Legal staff
or the respective one?

Thanks in advance!
Greetings,



ref:
1.
http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/sys/dev/pci/cs4280_image.h?rev=1.4
http://people.cse.iitd.ernet.in/~mcs052943/Resources/alsa-driver-1.0.4/alsa-kernel/pci/cs46xx/cs46xx_image.h
2.
http://wiki.debian.org/KernelFirmwareLicensing#head-3565057df6494cdf78b26fb1f0875d032b54c167

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIJcN5GcNpEq4d/XQRAvWmAJ9EAp7EZlH37kW1DXBXPqTl2K45BACeJ8MS
sEreU/xUbO9QaLEQ9VGKSwU=
=W9Zo
-----END PGP SIGNATURE-----

[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to UlisesVitulli <uvitulli@fi.uba.ar>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 464197@bugs.debian.org (full text, mbox):

From: UlisesVitulli <uvitulli@fi.uba.ar>
To: 464197@bugs.debian.org
Subject: Re: CS46xx undistributable driver
Date: Mon, 19 May 2008 17:06:47 -0300
[Message part 1 (text/plain, inline)]
FYI
http://bugzilla.kernel.org/show_bug.cgi?id=10750


Greetings,
[smime.p7s (application/x-pkcs7-signature, attachment)]

Noted your statement that Bug has been forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=10750. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 19 May 2008 20:15:06 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sat, 07 Jun 2008 22:18:05 GMT) Full text and rfc822 format available.

Disconnected #476672 from all other report(s). Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 05:18:05 GMT) Full text and rfc822 format available.

Merged 455092 462035 464197 468151 476672 477409. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 21:04:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 464197@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 464197@bugs.debian.org
Subject: How to build this module
Date: Tue, 09 Sep 2008 17:57:07 -0400
"With earlier versions of the linux-2.6 source, building all the binary
packages has taken 11 to 22 hours here, so calling
debian/rules.gen directly was a huge timesaver.  If this shortcut
is documented, I don't know where."

This is documented in the 'Debian Linux Kernel Handbook"

	http://kernel-handbook.alioth.debian.org/ch-common-tasks.html

However, this /debian/rules.gen fails on my system with this:

root@emach433:/usr/src/linux#make -f debian/rules.gen
binary-arch_i386_none_686
debian/rules.gen:37: warning: overriding commands for target `install'
debian/rules.gen:12: warning: ignoring old commands for target `install'
make: *** No rule to make target `binary-arch_i386_none_686'.  Stop.








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 464197@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 464197@bugs.debian.org
Subject: image download error?
Date: Wed, 10 Sep 2008 00:36:42 -0400
Did a full kernel compile with the new 'cs46xx' directory in
'/linux-source-2.6.24/sound/pci' and this happened when the snd_cs46xx
was loaded:

cs46xx: no firmware
image download error
ACPI: PCI interrupt for device 0000:00:0b.0 disabled
Sound Fusion CS46xx: probe of 0000:00:0b.0 failed with error -5
 





Severity set to `wishlist' from `wishlist' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 23:18:08 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 23:18:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Sat, 20 Sep 2008 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Sep 2008 06:21:03 GMT) Full text and rfc822 format available.

Message #129 received at 464197@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 464197@bugs.debian.org
Subject: OK, copied the firmware image to /'lib/firmware/cs46xx'
Date: Sat, 20 Sep 2008 01:26:56 -0400
and it worked.  Built 2.6.26 with and it works there as well.  Thanks.





Forcibly Merged 455092 462035 464197 468151 476672 477409 493924 493926. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 27 Dec 2008 16:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Wed, 15 Apr 2009 09:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Apr 2009 09:03:16 GMT) Full text and rfc822 format available.

Message #136 received at 464197@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: 464197@bugs.debian.org
Subject: Any update on this issue?
Date: Wed, 15 Apr 2009 11:01:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just wonder if there is any update on this one and if the split-out
patch has been proposed to upstream yet.

If you manage to get this upstream, with Linus keeping on distributing
the binary images, debian can well choose not to distribute them, but
debian users can still get the blob somewhere and have an easier life.
Not ideal, I know, but that's the world.

Regards,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Tue, 21 Apr 2009 03:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Apr 2009 03:51:02 GMT) Full text and rfc822 format available.

Message #141 received at 464197@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Kalle Olavi Niemitalo <kon@iki.fi>
Cc: Antonio Ospite <ospite@studenti.unina.it>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 20 Apr 2009 21:45:36 -0600
On Wed, Apr 15, 2009 at 11:01:09AM +0200, Antonio Ospite wrote:
> Hi,
> 
> I just wonder if there is any update on this one and if the split-out
> patch has been proposed to upstream yet.
> 
> If you manage to get this upstream, with Linus keeping on distributing
> the binary images, debian can well choose not to distribute them, but
> debian users can still get the blob somewhere and have an easier life.
> Not ideal, I know, but that's the world.

Yep - that's true.

Kalle: would you mind submitting your patch upstream, if you haven't
already? A lot of similar patches for other drives have been accepted
in recent months.


-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Tue, 21 Apr 2009 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Apr 2009 20:00:03 GMT) Full text and rfc822 format available.

Message #146 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: dann frazier <dannf@debian.org>
Cc: Antonio Ospite <ospite@studenti.unina.it>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Tue, 21 Apr 2009 22:58:15 +0300
[Message part 1 (text/plain, inline)]
dann frazier <dannf@debian.org> writes:

> Kalle: would you mind submitting your patch upstream, if you haven't
> already? A lot of similar patches for other drives have been accepted
> in recent months.

I expect the patch would be rejected because it breaks
SND_CS46XX_NEW_DSP.  Do you think otherwise?

Anyway, I have little interest in working on this now.
If you just want a Signed-Off-By, that can probably be arranged.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Tue, 28 Apr 2009 06:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Apr 2009 06:51:02 GMT) Full text and rfc822 format available.

Message #151 received at 464197@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Kalle Olavi Niemitalo <kon@iki.fi>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Tue, 28 Apr 2009 08:48:37 +0200
[Message part 1 (text/plain, inline)]
On Tue, 21 Apr 2009 22:58:15 +0300
Kalle Olavi Niemitalo <kon@iki.fi> wrote:

> dann frazier <dannf@debian.org> writes:
> 
> > Kalle: would you mind submitting your patch upstream, if you haven't
> > already? A lot of similar patches for other drives have been accepted
> > in recent months.
> 
> I expect the patch would be rejected because it breaks
> SND_CS46XX_NEW_DSP.  Do you think otherwise?
> 
> Anyway, I have little interest in working on this now.
> If you just want a Signed-Off-By, that can probably be arranged.
> 

Hi Kalle,

can the latest version of your code be found in this thread?

If not, please send it, I can start with porting it to latest
kernel and testing it, and then we will see what I can do with it.

Thanks,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Fri, 01 May 2009 08:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 May 2009 08:21:07 GMT) Full text and rfc822 format available.

Message #156 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Fri, 01 May 2009 11:16:58 +0300
[Message part 1 (text/plain, inline)]
Antonio Ospite <ospite@studenti.unina.it> writes:

> can the latest version of your code be found in this thread?

Yes, the version I posted on 2008-04-06 is the latest one.  When
building a local linux-2.6 2.6.26-9.kon.1 version, I put the
patch at debian/patches/debian/dfsg/sound-pci-cs46xx.patch and
added it to the list in debian/patches/series/1.

Currently, my primary problem with this patch is that the cs46xx
module gets inserted before /usr is mounted, and it then doesn't
receive the firmware from userspace and fails to initialize the
device.  From the source, it appears that snd_card_cs46xx_probe
returns -EIO in this situation.  To get sound after this, I have
to rmmod and insmod cs46xx again, or do:

printf "0000:00:0d.0" > "/sys/module/snd_cs46xx/drivers/pci:Sound Fusion CS46xx/bind"

The hexadecimal numbers depend on the PCI slot, I guess.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Fri, 01 May 2009 10:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 May 2009 10:06:05 GMT) Full text and rfc822 format available.

Message #161 received at 464197@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Kalle Olavi Niemitalo <kon@iki.fi>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Fri, 1 May 2009 11:59:25 +0200
[Message part 1 (text/plain, inline)]
On Fri, 01 May 2009 11:16:58 +0300
Kalle Olavi Niemitalo <kon@iki.fi> wrote:

> Antonio Ospite <ospite@studenti.unina.it> writes:
> 
> > can the latest version of your code be found in this thread?
> 
> Yes, the version I posted on 2008-04-06 is the latest one.  When
> building a local linux-2.6 2.6.26-9.kon.1 version, I put the
> patch at debian/patches/debian/dfsg/sound-pci-cs46xx.patch and
> added it to the list in debian/patches/series/1.
>

OK, thanks.

About the SND_CS46XX_NEW_DSP issue, from a first glance to
the driver it looks like that in order to support it we have to make a
binary image for any file in the imgs/ dir. Does this look ok to you?

> Currently, my primary problem with this patch is that the cs46xx
> module gets inserted before /usr is mounted, and it then doesn't
> receive the firmware from userspace and fails to initialize the
> device.  From the source, it appears that snd_card_cs46xx_probe
> returns -EIO in this situation.  To get sound after this, I have
> to rmmod and insmod cs46xx again, or do:
> 
> printf "0000:00:0d.0" > "/sys/module/snd_cs46xx/drivers/pci:Sound Fusion CS46xx/bind"
> 
> The hexadecimal numbers depend on the PCI slot, I guess.
> 

From what I know the proper solution should be to add the firmware
images to an initrd image. I'll let you know the results of my tests.

Regards,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Fri, 01 May 2009 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 May 2009 10:24:03 GMT) Full text and rfc822 format available.

Message #166 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Fri, 01 May 2009 13:21:42 +0300
[Message part 1 (text/plain, inline)]
Antonio Ospite <ospite@studenti.unina.it> writes:

> About the SND_CS46XX_NEW_DSP issue, from a first glance to
> the driver it looks like that in order to support it we have to make a
> binary image for any file in the imgs/ dir. Does this look ok to you?

I guess that's what needs to be done.  The difficulty is with
pointers in struct dsp_segment_desc and struct dsp_module_desc.
You'll have to replace those with integers (presumably file
offsets) and concatenate the structures in the binary file while
ensuring proper alignment.  It seems quite doable but I don't
need the SND_CS46XX_NEW_DSP features myself and cannot test them.

> From what I know the proper solution should be to add the firmware
> images to an initrd image. I'll let you know the results of my tests.

In the patch, I added a MODULE_FIRMWARE line that should make it
possible for initrd-building scripts to include the firmware.
However, in the 2.6.26 initrd image I have here, the snd-cs46xx.ko
module itself is not included; presumably because the driver isn't
needed for booting.  So I think it would be pointless to include
the firmware there.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Sun, 03 May 2009 23:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 May 2009 23:21:02 GMT) Full text and rfc822 format available.

Message #171 received at 464197@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: dann frazier <dannf@debian.org>, 464197@bugs.debian.org
Cc: Kalle Olavi Niemitalo <kon@iki.fi>, Antonio Ospite <ospite@studenti.unina.it>
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 04 May 2009 00:17:03 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2009-04-20 at 21:45 -0600, dann frazier wrote:
> On Wed, Apr 15, 2009 at 11:01:09AM +0200, Antonio Ospite wrote:
> > Hi,
> > 
> > I just wonder if there is any update on this one and if the split-out
> > patch has been proposed to upstream yet.
> > 
> > If you manage to get this upstream, with Linus keeping on distributing
> > the binary images, debian can well choose not to distribute them, but
> > debian users can still get the blob somewhere and have an easier life.
> > Not ideal, I know, but that's the world.
> 
> Yep - that's true.
> 
> Kalle: would you mind submitting your patch upstream, if you haven't
> already? A lot of similar patches for other drives have been accepted
> in recent months.

Kalle's patch has a serious problem in that it attempts to byte-swap the
firmware in place.  On a big-endian system where the firmware is built
into the kernel, or if a cache is implemented, this will corrupt the
image or cause an oops.

Furthermore, I think any patch sent upstream will need to handle the
"new" DSP code as well.

Anyway, here's my proposed patch for unstable (against 2.6.30-rc4) that
deals with the first problem.  I'll have a go at handling the "new" DSP
code as well, but as I don't have the hardware for this driver this will
need testing by others.

I made the following changes relative to Kalle's patch:

- Remove "Modified on..." lines; that's what the commit message is for
- Do not call release_firmware() if request_firmware() fails
- Make firmware images explicitly const and little-endian and never swap
them.
- Remove offsets from firmware header so that we don't have to validate
them; we know the offset should be the base of the corresponding memory
bank.
- Validate sizes against the memory bank size.
- Change filename to cs46xx-old.fw as this is easier to associate with
its use.  We can use cs46xx-new.fw for the "new" DSP code.

Ben.

diff --git a/sound/pci/Kconfig b/sound/pci/Kconfig
index 17e03b9..124b3a0 100644
--- a/sound/pci/Kconfig
+++ b/sound/pci/Kconfig
@@ -229,7 +229,7 @@ config SND_CS4281
 
 config SND_CS46XX
 	tristate "Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x"
-	depends on BROKEN
+	select FW_LOADER
 	select SND_RAWMIDI
 	select SND_AC97_CODEC
 	help
@@ -241,6 +241,7 @@ config SND_CS46XX
 
 config SND_CS46XX_NEW_DSP
 	bool "Cirrus Logic (Sound Fusion) New DSP support"
+	depends on BROKEN
 	depends on SND_CS46XX
 	default y
 	help
diff --git a/sound/pci/cs46xx/cs46xx_lib.c b/sound/pci/cs46xx/cs46xx_lib.c
index 1be96ea..b12b930 100644
--- a/sound/pci/cs46xx/cs46xx_lib.c
+++ b/sound/pci/cs46xx/cs46xx_lib.c
@@ -53,6 +53,7 @@
 #include <linux/slab.h>
 #include <linux/gameport.h>
 #include <linux/mutex.h>
+#include <linux/firmware.h>
 
 
 #include <sound/core.h>
@@ -308,7 +309,7 @@ static void snd_cs46xx_ac97_write(struct snd_ac97 *ac97,
  */
 
 int snd_cs46xx_download(struct snd_cs46xx *chip,
-			u32 *src,
+			const __le32 *src,
                         unsigned long offset,
                         unsigned long len)
 {
@@ -321,9 +322,9 @@ int snd_cs46xx_download(struct snd_cs46xx *chip,
 	dst = chip->region.idx[bank+1].remap_addr + offset;
 	len /= sizeof(u32);
 
-	/* writel already converts 32-bit value to right endianess */
 	while (len-- > 0) {
-		writel(*src++, dst);
+		__raw_writel((__force u32)*src++, dst);
+		mmiowb();
 		dst += sizeof(u32);
 	}
 	return 0;
@@ -360,23 +361,77 @@ int snd_cs46xx_clear_BA1(struct snd_cs46xx *chip,
 
 #else /* old DSP image */
 
-#include "cs46xx_image.h"
+struct cs46xx_old_image {
+	__le32 size[BA1_MEMORY_COUNT];
+	__le32 data[0];
+};
 
-int snd_cs46xx_download_image(struct snd_cs46xx *chip)
+static int snd_cs46xx_check_image_size(const struct firmware *firmware)
 {
-	int idx, err;
-	unsigned long offset = 0;
+	const struct cs46xx_old_image *image =
+		(const struct cs46xx_old_image *)firmware->data;
+	size_t offset = sizeof(*image);
+	int idx;
+
+	if (firmware->size < offset) {
+		snd_printk(KERN_ERR "cs46xx: firmware too small\n");
+		return -EINVAL;
+	}
 
 	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
-		if ((err = snd_cs46xx_download(chip,
-					       &BA1Struct.map[offset],
-					       BA1Struct.memory[idx].offset,
-					       BA1Struct.memory[idx].size)) < 0)
-			return err;
-		offset += BA1Struct.memory[idx].size >> 2;
-	}	
+		size_t size = le32_to_cpu(image->size[idx]);
+
+		if (size % sizeof(u32)) {
+			snd_printk(KERN_ERR "cs46xx: firmware hunk misaligned\n");
+			return -EINVAL;
+		}
+		if (size > BA1_DWORD_SIZE * sizeof(u32)) {
+			snd_printk(KERN_ERR "cs46xx: firmware hunk out of range\n");
+			return -EINVAL;
+		}
+		offset += size;
+	}
+
+	if (firmware->size != offset) {
+		snd_printk(KERN_ERR "cs46xx: firmware size mismatch\n");
+		return -EINVAL;
+	}
+
 	return 0;
 }
+
+static int snd_cs46xx_download_image(struct snd_cs46xx *chip)
+{
+	int idx, err;
+	const struct firmware *firmware = NULL;
+	const struct cs46xx_old_image *image;
+	const __le32 *data;
+
+	err = request_firmware(&firmware, "cs46xx/cs46xx-old.fw",
+			       &chip->pci->dev);
+	if (err < 0) {
+		snd_printk(KERN_ERR "cs46xx: no firmware\n");
+		return err;
+	}
+
+	err = snd_cs46xx_check_image_size(firmware);
+	if (err < 0)
+		goto end;
+	image = (const struct cs46xx_old_image *)firmware->data;
+	data = image->data;
+
+	for (idx = 0; idx < BA1_MEMORY_COUNT; idx++) {
+		size_t size = le32_to_cpu(image->size[idx]);
+
+		err = snd_cs46xx_download(chip, data, idx << 16, size);
+		if (err < 0)
+			goto end;
+		data += size / sizeof(u32);
+	}
+end:
+	release_firmware(firmware);
+	return err;
+}
 #endif /* CONFIG_SND_CS46XX_NEW_DSP */
 
 /*
@@ -3874,3 +3929,5 @@ int __devinit snd_cs46xx_create(struct snd_card *card,
 	*rchip = chip;
 	return 0;
 }
+
+MODULE_FIRMWARE("cs46xx/cs46xx-old.fw");
diff --git a/sound/pci/cs46xx/cs46xx_lib.h b/sound/pci/cs46xx/cs46xx_lib.h
index 4eb55aa..85babb5 100644
--- a/sound/pci/cs46xx/cs46xx_lib.h
+++ b/sound/pci/cs46xx/cs46xx_lib.h
@@ -103,8 +103,8 @@ int cs46xx_dsp_proc_done (struct snd_cs46xx *chip);
 #define cs46xx_dsp_proc_done(chip)
 #endif
 int cs46xx_dsp_scb_and_task_init (struct snd_cs46xx *chip);
-int snd_cs46xx_download (struct snd_cs46xx *chip, u32 *src, unsigned long offset,
-			 unsigned long len);
+int snd_cs46xx_download(struct snd_cs46xx *chip, const __le32 *src, unsigned long offset,
+			unsigned long len);
 int snd_cs46xx_clear_BA1(struct snd_cs46xx *chip, unsigned long offset, unsigned long len);
 int cs46xx_dsp_enable_spdif_out (struct snd_cs46xx *chip);
 int cs46xx_dsp_enable_spdif_hw (struct snd_cs46xx *chip);
--- END ---

-- 
Ben Hutchings
No political challenge can be met by shopping. - George Monbiot
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Sun, 03 May 2009 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 May 2009 23:36:02 GMT) Full text and rfc822 format available.

Message #176 received at 464197@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org, Kalle Olavi Niemitalo <kon@iki.fi>
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 4 May 2009 01:35:03 +0200
[Message part 1 (text/plain, inline)]
On Mon, 04 May 2009 00:17:03 +0100
Ben Hutchings <ben@decadent.org.uk> wrote:

> On Mon, 2009-04-20 at 21:45 -0600, dann frazier wrote:
> > 
> > Kalle: would you mind submitting your patch upstream, if you haven't
> > already? A lot of similar patches for other drives have been accepted
> > in recent months.
> 
> Kalle's patch has a serious problem in that it attempts to byte-swap the
> firmware in place.  On a big-endian system where the firmware is built
> into the kernel, or if a cache is implemented, this will corrupt the
> image or cause an oops.
>

I saw also that some drivers provide blobs as ihex files, a textual
representation of the binary data, and convert it to a binary image at
build time. Could this be useful in this case?

> Furthermore, I think any patch sent upstream will need to handle the
> "new" DSP code as well.
>

Indeed.

> Anyway, here's my proposed patch for unstable (against 2.6.30-rc4) that
> deals with the first problem.  I'll have a go at handling the "new" DSP
> code as well, but as I don't have the hardware for this driver this will
> need testing by others.
>

I will test this patch soon; wrt the NEW DSP feature, I don't know if I
can test everything, because I have a Thinkpad T20, only stereo output.

BTW, what binary image to use? Is the one extracted with the tool in
this thread, to be run on a little-endian host, ok?

Thanks,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Sun, 03 May 2009 23:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 May 2009 23:57:03 GMT) Full text and rfc822 format available.

Message #181 received at 464197@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org, Kalle Olavi Niemitalo <kon@iki.fi>
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 04 May 2009 00:55:55 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2009-05-04 at 01:35 +0200, Antonio Ospite wrote:
> On Mon, 04 May 2009 00:17:03 +0100
> Ben Hutchings <ben@decadent.org.uk> wrote:
> 
> > On Mon, 2009-04-20 at 21:45 -0600, dann frazier wrote:
> > > 
> > > Kalle: would you mind submitting your patch upstream, if you haven't
> > > already? A lot of similar patches for other drives have been accepted
> > > in recent months.
> > 
> > Kalle's patch has a serious problem in that it attempts to byte-swap the
> > firmware in place.  On a big-endian system where the firmware is built
> > into the kernel, or if a cache is implemented, this will corrupt the
> > image or cause an oops.
> >
> 
> I saw also that some drivers provide blobs as ihex files, a textual
> representation of the binary data, and convert it to a binary image at
> build time. Could this be useful in this case?

In the upstream repository, all firmware extracted from drivers is
stored in some variant of Intel hex format.  But this is still
byte-oriented and does not help to avoid byte-swapping.

> > Furthermore, I think any patch sent upstream will need to handle the
> > "new" DSP code as well.
> >
> 
> Indeed.
> 
> > Anyway, here's my proposed patch for unstable (against 2.6.30-rc4) that
> > deals with the first problem.  I'll have a go at handling the "new" DSP
> > code as well, but as I don't have the hardware for this driver this will
> > need testing by others.
> >
> 
> I will test this patch soon; wrt the NEW DSP feature, I don't know if I
> can test everything, because I have a Thinkpad T20, only stereo output.
> 
> BTW, what binary image to use? Is the one extracted with the tool in
> this thread, to be run on a little-endian host, ok?

You would need to apply this patch to cs46xx_image.h before running that
program:

--- a/sound/pci/cs46xx/cs46xx_image.h
+++ b/sound/pci/cs46xx/cs46xx_image.h
@@ -1,14 +1,13 @@
 struct BA1struct {
 	struct {
-		unsigned long offset;
-		unsigned long size;
+		u32 size;
 	} memory[BA1_MEMORY_COUNT];
 	u32 map[BA1_DWORD_SIZE];
 };
 
 
 static struct BA1struct BA1Struct = {
-{{ 0x00000000, 0x00003000 },{ 0x00010000, 0x00003800 },{ 0x00020000, 0x00007000 }},
+{{ 0x00003000 },{ 0x00003800 },{ 0x00007000 }},
 {0x00000000,0x00000000,0x00000000,0x00000000,
 0x00000000,0x00000000,0x00000000,0x00000000,
 0x00000000,0x00000000,0x00000163,0x00000000,
--- END ---

Also note the change of filename (partly because of the format change).

Ben.

-- 
Ben Hutchings
No political challenge can be met by shopping. - George Monbiot
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Mon, 04 May 2009 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 May 2009 05:24:05 GMT) Full text and rfc822 format available.

Message #186 received at 464197@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 04 May 2009 08:21:08 +0300
[Message part 1 (text/plain, inline)]
Ben Hutchings <ben@decadent.org.uk> writes:

> - Remove "Modified on..." lines; that's what the commit message is for

Those were the prominent notices mentioned in GPLv2 2. a).
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Mon, 04 May 2009 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 May 2009 18:57:02 GMT) Full text and rfc822 format available.

Message #191 received at 464197@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Kalle Olavi Niemitalo <kon@iki.fi>
Cc: 464197@bugs.debian.org
Subject: Re: Bug#464197: Any update on this issue?
Date: Mon, 04 May 2009 19:55:03 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2009-05-04 at 08:21 +0300, Kalle Olavi Niemitalo wrote:
> Ben Hutchings <ben@decadent.org.uk> writes:
> 
> > - Remove "Modified on..." lines; that's what the commit message is for
> 
> Those were the prominent notices mentioned in GPLv2 2. a).

Right, I see.  I believe the Debian patch system makes our changes
prominent enough, and such notices are certainly not expected in patches
submitted upstream (see Documentation/SubmittingPatches).

Ben.

-- 
Ben Hutchings
No political challenge can be met by shopping. - George Monbiot
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464197; Package linux-2.6. (Fri, 08 May 2009 18:01:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 08 May 2009 18:01:29 GMT) Full text and rfc822 format available.

Message #196 received at 464197@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: dann frazier <dannf@debian.org>, 464197@bugs.debian.org, Kalle Olavi Niemitalo <kon@iki.fi>
Subject: Re: Bug#464197: Any update on this issue?
Date: Fri, 8 May 2009 19:59:32 +0200
[Message part 1 (text/plain, inline)]
On Mon, 04 May 2009 00:55:55 +0100
Ben Hutchings <ben@decadent.org.uk> wrote:

> On Mon, 2009-05-04 at 01:35 +0200, Antonio Ospite wrote:
> > On Mon, 04 May 2009 00:17:03 +0100
> > Ben Hutchings <ben@decadent.org.uk> wrote:
> >
...
> > > Anyway, here's my proposed patch for unstable (against 2.6.30-rc4) that
> > > deals with the first problem.  I'll have a go at handling the "new" DSP
> > > code as well, but as I don't have the hardware for this driver this will
> > > need testing by others.
> > >
> > 
> > I will test this patch soon; wrt the NEW DSP feature, I don't know if I
> > can test everything, because I have a Thinkpad T20, only stereo output.
> >

Ok, I can confirm that this patch, with the image created as described
below, works OK on my T20. Tested with latest linus git tree.
 
> > BTW, what binary image to use? Is the one extracted with the tool in
> > this thread, to be run on a little-endian host, ok?
> 
> You would need to apply this patch to cs46xx_image.h before running that
> program:
> 
> --- a/sound/pci/cs46xx/cs46xx_image.h
> +++ b/sound/pci/cs46xx/cs46xx_image.h
> @@ -1,14 +1,13 @@
>  struct BA1struct {
>  	struct {
> -		unsigned long offset;
> -		unsigned long size;
> +		u32 size;
>  	} memory[BA1_MEMORY_COUNT];
>  	u32 map[BA1_DWORD_SIZE];
>  };
>  
>  
>  static struct BA1struct BA1Struct = {
> -{{ 0x00000000, 0x00003000 },{ 0x00010000, 0x00003800 },{ 0x00020000, 0x00007000 }},
> +{{ 0x00003000 },{ 0x00003800 },{ 0x00007000 }},
>  {0x00000000,0x00000000,0x00000000,0x00000000,
>  0x00000000,0x00000000,0x00000000,0x00000000,
>  0x00000000,0x00000000,0x00000163,0x00000000,
> --- END ---
> 
> Also note the change of filename (partly because of the format change).
> 
> Ben.
> 

Thanks,
   Antonio

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

  Web site: http://www.studenti.unina.it/~ospite
Public key: http://www.studenti.unina.it/~ospite/aopubkey.asc
[Message part 2 (application/pgp-signature, inline)]

Merged 430017 455092 462035 464197 468151 476672 477409 493924 493926. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Thu, 13 Aug 2009 22:39:17 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 16 Aug 2009 23:45:03 GMT) Full text and rfc822 format available.

Forcibly Merged 430017 455092 462035 464197 468151 476672 477409 493924 493926 493928. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Fri, 21 Aug 2009 17:30:35 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:21 GMT) Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:21 GMT) Full text and rfc822 format available.

Message #207 received at 464197-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 464197-close@bugs.debian.org
Subject: Bug#464197: fixed in linux-2.6 2.6.31-1~experimental.1
Date: Mon, 05 Oct 2009 17:43:35 +0000
Source: linux-2.6
Source-Version: 2.6.31-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/firmware-linux-free_2.6.31-1~experimental.1_all.deb
linux-2.6_2.6.31-1~experimental.1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.31-1~experimental.1.diff.gz
linux-2.6_2.6.31-1~experimental.1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.31-1~experimental.1.dsc
linux-2.6_2.6.31.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.31.orig.tar.gz
linux-doc-2.6.31_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.31_2.6.31-1~experimental.1_all.deb
linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.1_amd64.deb
linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.1_amd64.deb
linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.1_amd64.deb
linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
linux-libc-dev_2.6.31-1~experimental.1_amd64.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.31-1~experimental.1_amd64.deb
linux-manual-2.6.31_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.31_2.6.31-1~experimental.1_all.deb
linux-patch-debian-2.6.31_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.31_2.6.31-1~experimental.1_all.deb
linux-source-2.6.31_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.31_2.6.31-1~experimental.1_all.deb
linux-support-2.6.31-trunk_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.31-trunk_2.6.31-1~experimental.1_all.deb
linux-tree-2.6.31_2.6.31-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.31_2.6.31-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 464197@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Oct 2009 20:27:05 +0200
Source: linux-2.6
Binary: linux-source-2.6.31 linux-doc-2.6.31 linux-manual-2.6.31 linux-patch-debian-2.6.31 firmware-linux-free linux-tree-2.6.31 linux-support-2.6.31-trunk linux-libc-dev linux-headers-2.6.31-trunk-all linux-headers-2.6.31-trunk-all-alpha linux-headers-2.6.31-trunk-common linux-image-2.6.31-trunk-alpha-generic linux-headers-2.6.31-trunk-alpha-generic linux-image-2.6.31-trunk-alpha-smp linux-headers-2.6.31-trunk-alpha-smp linux-image-2.6.31-trunk-alpha-legacy linux-headers-2.6.31-trunk-alpha-legacy linux-headers-2.6.31-trunk-all-amd64 linux-image-2.6.31-trunk-amd64 linux-headers-2.6.31-trunk-amd64 linux-headers-2.6.31-trunk-all-armel linux-image-2.6.31-trunk-iop32x linux-headers-2.6.31-trunk-iop32x linux-image-2.6.31-trunk-ixp4xx linux-headers-2.6.31-trunk-ixp4xx linux-image-2.6.31-trunk-kirkwood linux-headers-2.6.31-trunk-kirkwood linux-image-2.6.31-trunk-orion5x linux-headers-2.6.31-trunk-orion5x linux-image-2.6.31-trunk-versatile linux-headers-2.6.31-trunk-versatile linux-headers-2.6.31-trunk-all-hppa linux-image-2.6.31-trunk-parisc linux-headers-2.6.31-trunk-parisc linux-image-2.6.31-trunk-parisc-smp linux-headers-2.6.31-trunk-parisc-smp linux-image-2.6.31-trunk-parisc64 linux-headers-2.6.31-trunk-parisc64 linux-image-2.6.31-trunk-parisc64-smp linux-headers-2.6.31-trunk-parisc64-smp linux-headers-2.6.31-trunk-all-i386 linux-image-2.6.31-trunk-486 linux-headers-2.6.31-trunk-486 linux-image-2.6.31-trunk-686 linux-headers-2.6.31-trunk-686 linux-image-2.6.31-trunk-686-bigmem linux-headers-2.6.31-trunk-686-bigmem linux-headers-2.6.31-trunk-all-ia64 linux-image-2.6.31-trunk-itanium linux-headers-2.6.31-trunk-itanium linux-image-2.6.31-trunk-mckinley linux-headers-2.6.31-trunk-mckinley linux-headers-2.6.31-trunk-all-m68k linux-image-2.6.31-trunk-amiga linux-headers-2.6.31-trunk-amiga linux-image-2.6.31-trunk-atari linux-headers-2.6.31-trunk-atari linux-image-2.6.31-trunk-bvme6000 linux-headers-2.6.31-trunk-bvme6000 linux-image-2.6.31-trunk-mac linux-headers-2.6.31-trunk-mac linux-image-2.6.31-trunk-mvme147 linux-headers-2.6.31-trunk-mvme147 linux-image-2.6.31-trunk-mvme16x linux-headers-2.6.31-trunk-mvme16x linux-headers-2.6.31-trunk-all-mips linux-image-2.6.31-trunk-r4k-ip22 linux-headers-2.6.31-trunk-r4k-ip22 linux-image-2.6.31-trunk-r5k-ip32 linux-headers-2.6.31-trunk-r5k-ip32 linux-image-2.6.31-trunk-sb1-bcm91250a linux-headers-2.6.31-trunk-sb1-bcm91250a linux-image-2.6.31-trunk-sb1a-bcm91480b linux-headers-2.6.31-trunk-sb1a-bcm91480b linux-image-2.6.31-trunk-4kc-malta linux-headers-2.6.31-trunk-4kc-malta linux-image-2.6.31-trunk-5kc-malta linux-headers-2.6.31-trunk-5kc-malta linux-headers-2.6.31-trunk-all-mipsel linux-image-2.6.31-trunk-r5k-cobalt linux-headers-2.6.31-trunk-r5k-cobalt linux-headers-2.6.31-trunk-all-powerpc linux-image-2.6.31-trunk-powerpc linux-headers-2.6.31-trunk-powerpc linux-image-2.6.31-trunk-powerpc-smp linux-headers-2.6.31-trunk-powerpc-smp linux-image-2.6.31-trunk-powerpc64 linux-headers-2.6.31-trunk-powerpc64 linux-headers-2.6.31-trunk-all-s390 linux-image-2.6.31-trunk-s390x linux-headers-2.6.31-trunk-s390x linux-image-2.6.31-trunk-s390x-tape linux-headers-2.6.31-trunk-all-sparc linux-image-2.6.31-trunk-sparc64 linux-headers-2.6.31-trunk-sparc64 linux-image-2.6.31-trunk-sparc64-smp linux-headers-2.6.31-trunk-sparc64-smp
Architecture: source all amd64
Version: 2.6.31-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-doc-2.6.31 - Linux kernel specific documentation for version 2.6.31
 linux-headers-2.6.31-trunk-486 - Header files for Linux 2.6.31-trunk-486
 linux-headers-2.6.31-trunk-4kc-malta - Header files for Linux 2.6.31-trunk-4kc-malta
 linux-headers-2.6.31-trunk-5kc-malta - Header files for Linux 2.6.31-trunk-5kc-malta
 linux-headers-2.6.31-trunk-686 - Header files for Linux 2.6.31-trunk-686
 linux-headers-2.6.31-trunk-686-bigmem - Header files for Linux 2.6.31-trunk-686-bigmem
 linux-headers-2.6.31-trunk-all - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-alpha - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-amd64 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-armel - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-hppa - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-i386 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-ia64 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-m68k - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-mips - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-mipsel - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-powerpc - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-s390 - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-all-sparc - All header files for Linux 2.6.31
 linux-headers-2.6.31-trunk-alpha-generic - Header files for Linux 2.6.31-trunk-alpha-generic
 linux-headers-2.6.31-trunk-alpha-legacy - Header files for Linux 2.6.31-trunk-alpha-legacy
 linux-headers-2.6.31-trunk-alpha-smp - Header files for Linux 2.6.31-trunk-alpha-smp
 linux-headers-2.6.31-trunk-amd64 - Header files for Linux 2.6.31-trunk-amd64
 linux-headers-2.6.31-trunk-amiga - Header files for Linux 2.6.31-trunk-amiga
 linux-headers-2.6.31-trunk-atari - Header files for Linux 2.6.31-trunk-atari
 linux-headers-2.6.31-trunk-bvme6000 - Header files for Linux 2.6.31-trunk-bvme6000
 linux-headers-2.6.31-trunk-common - Common header files for Linux 2.6.31-trunk
 linux-headers-2.6.31-trunk-iop32x - Header files for Linux 2.6.31-trunk-iop32x
 linux-headers-2.6.31-trunk-itanium - Header files for Linux 2.6.31-trunk-itanium
 linux-headers-2.6.31-trunk-ixp4xx - Header files for Linux 2.6.31-trunk-ixp4xx
 linux-headers-2.6.31-trunk-kirkwood - Header files for Linux 2.6.31-trunk-kirkwood
 linux-headers-2.6.31-trunk-mac - Header files for Linux 2.6.31-trunk-mac
 linux-headers-2.6.31-trunk-mckinley - Header files for Linux 2.6.31-trunk-mckinley
 linux-headers-2.6.31-trunk-mvme147 - Header files for Linux 2.6.31-trunk-mvme147
 linux-headers-2.6.31-trunk-mvme16x - Header files for Linux 2.6.31-trunk-mvme16x
 linux-headers-2.6.31-trunk-orion5x - Header files for Linux 2.6.31-trunk-orion5x
 linux-headers-2.6.31-trunk-parisc - Header files for Linux 2.6.31-trunk-parisc
 linux-headers-2.6.31-trunk-parisc-smp - Header files for Linux 2.6.31-trunk-parisc-smp
 linux-headers-2.6.31-trunk-parisc64 - Header files for Linux 2.6.31-trunk-parisc64
 linux-headers-2.6.31-trunk-parisc64-smp - Header files for Linux 2.6.31-trunk-parisc64-smp
 linux-headers-2.6.31-trunk-powerpc - Header files for Linux 2.6.31-trunk-powerpc
 linux-headers-2.6.31-trunk-powerpc-smp - Header files for Linux 2.6.31-trunk-powerpc-smp
 linux-headers-2.6.31-trunk-powerpc64 - Header files for Linux 2.6.31-trunk-powerpc64
 linux-headers-2.6.31-trunk-r4k-ip22 - Header files for Linux 2.6.31-trunk-r4k-ip22
 linux-headers-2.6.31-trunk-r5k-cobalt - Header files for Linux 2.6.31-trunk-r5k-cobalt
 linux-headers-2.6.31-trunk-r5k-ip32 - Header files for Linux 2.6.31-trunk-r5k-ip32
 linux-headers-2.6.31-trunk-s390x - Header files for Linux 2.6.31-trunk-s390x
 linux-headers-2.6.31-trunk-sb1-bcm91250a - Header files for Linux 2.6.31-trunk-sb1-bcm91250a
 linux-headers-2.6.31-trunk-sb1a-bcm91480b - Header files for Linux 2.6.31-trunk-sb1a-bcm91480b
 linux-headers-2.6.31-trunk-sparc64 - Header files for Linux 2.6.31-trunk-sparc64
 linux-headers-2.6.31-trunk-sparc64-smp - Header files for Linux 2.6.31-trunk-sparc64-smp
 linux-headers-2.6.31-trunk-versatile - Header files for Linux 2.6.31-trunk-versatile
 linux-image-2.6.31-trunk-486 - Linux 2.6.31 image on x86
 linux-image-2.6.31-trunk-4kc-malta - Linux 2.6.31 image on MIPS Malta
 linux-image-2.6.31-trunk-5kc-malta - Linux 2.6.31 image on MIPS Malta (64-bit)
 linux-image-2.6.31-trunk-686 - Linux 2.6.31 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.31-trunk-686-bigmem - Linux 2.6.31 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.31-trunk-alpha-generic - Linux 2.6.31 image on Alpha
 linux-image-2.6.31-trunk-alpha-legacy - Linux 2.6.31 image on Alpha Legacy
 linux-image-2.6.31-trunk-alpha-smp - Linux 2.6.31 image on Alpha SMP
 linux-image-2.6.31-trunk-amd64 - Linux 2.6.31 image on AMD64
 linux-image-2.6.31-trunk-amiga - Linux 2.6.31 image on Amiga
 linux-image-2.6.31-trunk-atari - Linux 2.6.31 image on Atari
 linux-image-2.6.31-trunk-bvme6000 - Linux 2.6.31 image on BVM BVME4000 and BVME6000
 linux-image-2.6.31-trunk-iop32x - Linux 2.6.31 image on IOP32x
 linux-image-2.6.31-trunk-itanium - Linux 2.6.31 image on Itanium
 linux-image-2.6.31-trunk-ixp4xx - Linux 2.6.31 image on IXP4xx
 linux-image-2.6.31-trunk-kirkwood - Linux 2.6.31 image on Marvell Kirkwood
 linux-image-2.6.31-trunk-mac - Linux 2.6.31 image on Macintosh
 linux-image-2.6.31-trunk-mckinley - Linux 2.6.31 image on Itanium II
 linux-image-2.6.31-trunk-mvme147 - Linux 2.6.31 image on Motorola MVME147
 linux-image-2.6.31-trunk-mvme16x - Linux 2.6.31 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.31-trunk-orion5x - Linux 2.6.31 image on Marvell Orion
 linux-image-2.6.31-trunk-parisc - Linux 2.6.31 image on 32-bit PA-RISC
 linux-image-2.6.31-trunk-parisc-smp - Linux 2.6.31 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.31-trunk-parisc64 - Linux 2.6.31 image on 64-bit PA-RISC
 linux-image-2.6.31-trunk-parisc64-smp - Linux 2.6.31 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.31-trunk-powerpc - Linux 2.6.31 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.31-trunk-powerpc-smp - Linux 2.6.31 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.31-trunk-powerpc64 - Linux 2.6.31 image on 64-bit PowerPC
 linux-image-2.6.31-trunk-r4k-ip22 - Linux 2.6.31 image on SGI IP22
 linux-image-2.6.31-trunk-r5k-cobalt - Linux 2.6.31 image on Cobalt
 linux-image-2.6.31-trunk-r5k-ip32 - Linux 2.6.31 image on SGI IP32
 linux-image-2.6.31-trunk-s390x - Linux 2.6.31 image on IBM zSeries
 linux-image-2.6.31-trunk-s390x-tape - Linux 2.6.31 image on IBM zSeries, IPL from tape
 linux-image-2.6.31-trunk-sb1-bcm91250a - Linux 2.6.31 image on BCM91250A
 linux-image-2.6.31-trunk-sb1a-bcm91480b - Linux 2.6.31 image on BCM91480B
 linux-image-2.6.31-trunk-sparc64 - Linux 2.6.31 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.31-trunk-sparc64-smp - Linux 2.6.31 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.31-trunk-versatile - Linux 2.6.31 image on Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.31 - Linux kernel API manual pages for version 2.6.31
 linux-patch-debian-2.6.31 - Debian patches to version 2.6.31 of the Linux kernel
 linux-source-2.6.31 - Linux kernel source for version 2.6.31 with Debian patches
 linux-support-2.6.31-trunk - Support files for Linux 2.6.31
 linux-tree-2.6.31 - Linux kernel source tree for building Debian kernel images
Closes: 278729 400825 464197 471495 494119 497230 507557 510279 515982 518710 522358 524142 525625 525958 527517 528694 530620 533357 535646 536333 536455 538159 538410 539176 539215 539369 539378 540486 541307 541630 541702 542470 542551 543244 545229 545377 545981 546041
Changes: 
 linux-2.6 (2.6.31-1~experimental.1) experimental; urgency=low
 .
   * New upstream release.
     - Support for W83627DHG-P (closes: #535646).
     - Restore MAC address and MTU change operations on Orinoco and others
       (Closes: #536455)
     - Remove incorrect ACPI blacklisting of ASUS P4B266 mainboards
       (Closes: #525625)
     - atl1c fixes for Eee PC model 1005HA-H. (closes: #538410)
     - parisc64-smp boot fix on J5600. (closes: #539369)
     - parisc: Fix GOT overflow during module load on 64bit kernel
       (closes: #539378)
     - xfs: fix freeing of inodes not yet added to the inode cache
       (Closes: #527517)
     - IPv6: add "disable" module parameter support to ipv6.ko.
       (closes: #542470)
     - IPv6: avoid wraparound for expired preferred lifetime
       (Closes: #518710)
     - Fixes lockups with older dual-CPU machines (Closes: #542551)
     - x86, pat: Allow ISA memory range uncacheable mapping requests
       (Closes: #538159)
     - drm/i915: Hook connector to encoder during load detection
       (Closes: #522358)
     - module: workaround duplicate section names (Closes: #545229)
     - b43: Add fw capabilities (Closes: #533357)
     - procfs: Fix idle time in uptime (Closes: #545981)
     - e1000, e1000e, igb, ixgb, ixgbe: Fix initial link state
       (Closes: #546041)
     - CIFS: Handle port= mount option correctly (Closes: #524142)
     - i915: Prevent screen flickering in X11 (Closes: #545377)
     - hppa: Ensure broadcast tlb purge runs single threaded
       (Closes: #539215)
 .
   [ maximilian attems ]
   * [powerpc64] Enable modular RTC_DRV_PS3, PS3_VRAM.
     (Closes: #528694)
   * Set new NETFILTER_XT_MATCH_OSF, FIREWIRE_NET, SND_CTXFI, USB_XHCI_HCD,
     IEEE802154, CAN_DEV, EEPROM_MAX6875, DM_LOG_USERSPACE, DM_MULTIPATH_QL,
     DM_MULTIPATH_ST, LIBERTAS_SPI, CAN_SJA1000, CAN_SJA1000_PLATFORM,
     CAN_EMS_PCI, CAN_KVASER_PCI, CB710_CORE, CNIC, RT2800USB,
     USB_NET_INT51X1, SND_LX6464ES, BLK_DEV_OSD, SCSI_BNX2_ISCSI, IWM,
     IEEE802154_DRIVERS, TOUCHSCREEN_EETI, TOUCHSCREEN_W90X900,
     BATTERY_MAX17040, SENSORS_TMP401, REGULATOR_USERSPACE_CONSUMER,
     REGULATOR_MAX1586, REGULATOR_LP3971, MEDIA_SUPPORT, CUSE,
     WL12XX, PPS, AB3100_CORE, SND_HDA_INPUT_JACK,MMC_SDHCI_PLTFM,
     MMC_CB710, MMC_VIA_SDMMC, LEDS_LP3944, RTC_DRV_RX8025,
     SMARTJOYPLUS_FF, USB_CDC_PHONET, USB_GSPCA_SN9C20X, MOUSE_SYNAPTICS_I2C,
     PCIEAER_INJECT.
   * Disable v4l1 ov511 and quickcam_messenger drivers.
   * [x86_64] Enable HW_RANDOM_VIA.
   * [x86] Keep divers staging stuff enabled.
   * [x86] Enable RT3070, COMEDI_PCMCIA_DRIVERS, ACERHDF, EDAC_AMD64,
     XEN_DEV_EVTCHN, XEN_SYS_HYPERVISOR, PERF_COUNTERS,
     CC_STACKPROTECTOR, DEFAULT_MMAP_MIN_ADDR=65536.
   * rtl8192su: remove firmware and disable.
   * Newer Standards-Version 3.8.2 without changes.
   * Allow install in chroot without do_initrd check for piuparts.
   * Cleanup Maintainer scripts from ancient pre linux-2.6 assumptions.
     (Also closes: #536333)
   * Disable DEVKMEM.
   * [ppc, sparc] Enable EFI_PARTITION. (closes: #540486)
   * Disable old USB_DEVICE_CLASS. (Closes: #510279)
   * Drop yaird initramfs generator support.
   * Add stable release 2.6.31.1.
   * Enable PREEMPT_VOLUNTARY.
 .
   [ Ben Hutchings ]
   * mga: remove unnecessary change from firmware-loading patch
   * cxgb3: remove PHY firmware and use request_firmware() to load it
   * Add firmware-linux-free package containing DFSG-free firmware
   * av7110: include firmware source and binary
   * snd-cs46xx: reenable using external firmware (closes: #464197,
     but note that Debian cannot currently distribute the firmware),
     thanks to Kalle Olavi Niemitalo <kon@iki.fi>
   * ib_ipath: remove firmware for QLogic IBA7220 and use
     request_firmware() to load it
   * dvb-usb-af9005: remove initialisation script derived from Windows
     driver and use request_firmware() to extract it at run-time
     (closes: #494119)
   * Add warning on upgrade to a new upstream version where the system
     appears to be missing necessary firmware files (closes: #541702)
   * qla1280: Release spinlock when requesting firmware (closes: #543244)
   * r128: Add test for initialisation to all ioctls that require it
     (closes: #541630)
   * rt{2860,2870,3070}sta: Use existing CCITT CRC implementation on
     firmware rather than adding an equivalent variant of ITU-T CRC
   * rd: Build as a module since we do not require initrd support
   * x86: Fix crash in text_poke_early() on 486-class processors
     (Closes: #515982)
   * intel-agp: Fix cache flushing on i8xx chipsets, avoiding graphics
     corruption and GPU lock-ups (Closes: #541307)
   * Generate architecture-qualified package relations as needed for
     flavours that exist for multiple architectures (Closes: #278729)
   * Prompt bug reporters to run the kernel version they're reporting on
     or otherwise record boot messages
   * Include PCI device list in bug reports even if the running kernel
     doesn't match
 .
   [ Martin Michlmayr ]
   * [armel/orion5x, armel/kirkwood] Set GPIO_SYSFS=y since these
     platforms have been converted to GPIOLIB.
   * [armel/orion5x, armel/kirkwood] Disable MARVELL_PHY since it may
     lead to conflicts with the built-in Ethernet.
   * Add features from 2.6.32:
     - crypto: mv_cesa - Add support for Orion5X crypto engine
   * [armel/orion5x] Enable CRYPTO_DEV_MV_CESA.
   * Disable SYS_HAS_EARLY_PRINTK on SGI IP22 to work around a hang
     during bootup (Closes: #507557)
   * [armel] Enable BPQETHER (on the request of Iain Young) and some
     other AX25 drivers.
 .
   [ Bastian Blank ]
   * Disable staging drivers by default.
   * Force all bugs against images to be reported to linux-2.6.
     (closes: #539176)
   * [arm] Remove old arm architecture.
   * Use kernel architecture for libc-dev build.
 .
   [ Moritz Muehlenhoff ]
   * Fix Linus' name in copyright file (Closes: #530620)
   * More verbose explanation on difference between Alpha flavour
     (Closes: #497230)
   * Add Vcs-Svn and Vcs-Browser stanzas pointing to the SVN branch
     used for development in unstable. There are other branches
     used for experimental (trunk), oldstable and stable, but Vcs-*
     doesn't yet provide the ability to distinguish branches in a
     more fine-grained manner. (Closes: #471495)
   * Update Standards-Version to 3.8.3, no changes needed
   * Disable PROM console support (Closes: #525958)
   * Make the description of linux-support a little more verbose
     (Closes: #400825)
   * This upload fixes the following security issues:
     - CVE-2009-3290 (2.6.31)
     - CVE-2009-3288 (2.6.31.1)
     - CVE-2009-3280 (2.6.31.1)
     - CVE-2009-3234 (2.6.31.1)
     - CVE-2009-3043 (2.6.31)
     - CVE-2009-3002 (2.6.31)
     - CVE-2009-3001 (2.6.31)
     - CVE-2009-2844 (2.6.31)
     - CVE-2009-2695 (2.6.31)
     - CVE-2009-2691 (2.6.31)
 .
   [ dann frazier ]
   * n_tty: Fix echo race
   * [ia64] Stop disabling CONFIG_HOTPLUG_CPU, which was blocking
     CONFIG_KEXEC from being enabled
   * [hppa] Disable CONFIG_AB3100_CORE, it fails to build
Checksums-Sha1: 
 a62576fb625b2255377ab31f5aa440bbeaefd55c 4926 linux-2.6_2.6.31-1~experimental.1.dsc
 8162b6b6d14a00a742e68480809ad4059602540a 78201361 linux-2.6_2.6.31.orig.tar.gz
 0566b3d85b23fe8e6e53aaed71926235faab7b14 359181 linux-2.6_2.6.31-1~experimental.1.diff.gz
 4016bb9b07d542d76a6dc4b8fb4404e3d47ad46f 5527578 linux-doc-2.6.31_2.6.31-1~experimental.1_all.deb
 8ef629e7f8f4b5c7550bd3e841c7929adbd57c5d 2069102 linux-manual-2.6.31_2.6.31-1~experimental.1_all.deb
 7de7e08b354541bb7c261347b6852e9da541e64b 205634 linux-patch-debian-2.6.31_2.6.31-1~experimental.1_all.deb
 34cb9674caaf70f3146a07307c1fe700f8b12cf8 60645174 linux-source-2.6.31_2.6.31-1~experimental.1_all.deb
 3330e9b64c8265575dbdf939b06835b85323ae53 129858 linux-support-2.6.31-trunk_2.6.31-1~experimental.1_all.deb
 b2e3db0b2eb062fbc7662a7228338e24ab2c1722 114522 linux-tree-2.6.31_2.6.31-1~experimental.1_all.deb
 520784598ae429403e7cfaeeeeaadb5962a332df 117434 firmware-linux-free_2.6.31-1~experimental.1_all.deb
 44ff8a5b9dae94906ffa2e44738491a0cd54d00d 27147072 linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 de5b36e99966536808c603609d86813e333c091c 439606 linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 ab8bbfc9ff35d508e38e905f96e3883c789a8891 3739804 linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.1_amd64.deb
 e3409acdfba5bccd00d77c276b670c0474b12162 114174 linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.1_amd64.deb
 28646a34bb0702d1ae849d7c276a8e12d56a43af 114176 linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.1_amd64.deb
 9f155540962cc155789651fae7aa5fb1a19338c3 869558 linux-libc-dev_2.6.31-1~experimental.1_amd64.deb
Checksums-Sha256: 
 9d56404c5a8746f96b8aaeb18c84876580e4f414f1b6bf880bf8f87932c6e89f 4926 linux-2.6_2.6.31-1~experimental.1.dsc
 334f348894f8c55d6337418a6894e1bbc13bb06ed7b02ab4ec7b47de6249f390 78201361 linux-2.6_2.6.31.orig.tar.gz
 f0a642cd6f97b46538d86235f3d821a1b337a66a4a1dca143420e5aa79cbda01 359181 linux-2.6_2.6.31-1~experimental.1.diff.gz
 1f667a83a122c43419a19d43a9b4fd824009938a57b204999cd8a5caa4b4b963 5527578 linux-doc-2.6.31_2.6.31-1~experimental.1_all.deb
 dd96101f656857d0fcfc058cdc33eb533d41323ecca77bc2c1ee8c9d2c0012f1 2069102 linux-manual-2.6.31_2.6.31-1~experimental.1_all.deb
 abe4a34454ceaaf1e91498577aacf5f9210e773f35622d8b637914a49250bbd1 205634 linux-patch-debian-2.6.31_2.6.31-1~experimental.1_all.deb
 1a1af10bac4b422beb24fdf3383bb8a9c7c32f38ef6a989ea192e4769c6c75cf 60645174 linux-source-2.6.31_2.6.31-1~experimental.1_all.deb
 8a1f28bd9f827adc4306af776e31df83555a467178b53519501dffc7acbc1206 129858 linux-support-2.6.31-trunk_2.6.31-1~experimental.1_all.deb
 b250ba7c2c478658397557e2099355329128a629e51a2e702839a2f9eb9ab518 114522 linux-tree-2.6.31_2.6.31-1~experimental.1_all.deb
 d714a832abe2e987f904e6064a7687f894ffbc5a2f6229c2dca2dbf6473cc51c 117434 firmware-linux-free_2.6.31-1~experimental.1_all.deb
 0f1b9e640ba628bfded635186d7d6a624455cd3e023f3e075db99fbd2ad86671 27147072 linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 f6d4ad5cc0542280a3c55917c01af02d425c3b014d21836b2b0aaa808a2e8a4d 439606 linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 bdb0dc2100547c8f335921c8e05b6ea245243671061674e20352e91dbb2116d0 3739804 linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.1_amd64.deb
 d53ba0a06a232e2dd7594188a2aa7727b8c15f62c3c497fbf29a7b8a865becea 114174 linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.1_amd64.deb
 c747a3888b36fed1fdf551ad5bf35670b334d1af100e2a47508b4dc86d4190d4 114176 linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.1_amd64.deb
 5c698722ee90a95d2315e3cde6c9731998c3c129ceeb3ceba3fe5066f27ca6fa 869558 linux-libc-dev_2.6.31-1~experimental.1_amd64.deb
Files: 
 6685669a5b9d6bd0f0ba8c1d3af68de0 4926 kernel optional linux-2.6_2.6.31-1~experimental.1.dsc
 5afda6957e06654a981df24cee38d802 78201361 kernel optional linux-2.6_2.6.31.orig.tar.gz
 1bf7384d84204ef2edee9f2ac5a3c0a6 359181 kernel optional linux-2.6_2.6.31-1~experimental.1.diff.gz
 f0d2def4ae700ca2d0105658c18fbffa 5527578 doc optional linux-doc-2.6.31_2.6.31-1~experimental.1_all.deb
 61da3d4d61654fd01d4969014c8d70e0 2069102 doc optional linux-manual-2.6.31_2.6.31-1~experimental.1_all.deb
 84bd11ed7d53670a7988d817e1ca0916 205634 kernel optional linux-patch-debian-2.6.31_2.6.31-1~experimental.1_all.deb
 2fb0a90d947e086eb61d8480ea097b19 60645174 kernel optional linux-source-2.6.31_2.6.31-1~experimental.1_all.deb
 c762c78004467d443297ef23d96b5ba1 129858 devel optional linux-support-2.6.31-trunk_2.6.31-1~experimental.1_all.deb
 9f5f92ea64141e486a2733f0e7bc6d65 114522 devel optional linux-tree-2.6.31_2.6.31-1~experimental.1_all.deb
 ad1b80057d971f8dd7e92107a8205689 117434 kernel optional firmware-linux-free_2.6.31-1~experimental.1_all.deb
 9758113de609e09ec1ba3641687d30b7 27147072 kernel optional linux-image-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 b79fc1a1a52d7589ed44a0005c1ebb77 439606 kernel optional linux-headers-2.6.31-trunk-amd64_2.6.31-1~experimental.1_amd64.deb
 7d94ef022004c7ada9466c375e2bc26a 3739804 kernel optional linux-headers-2.6.31-trunk-common_2.6.31-1~experimental.1_amd64.deb
 2fd468405f99a6516cfafedb9db6c4fa 114174 kernel optional linux-headers-2.6.31-trunk-all_2.6.31-1~experimental.1_amd64.deb
 0a328e902506efb1e564e0b2428f3530 114176 kernel optional linux-headers-2.6.31-trunk-all-amd64_2.6.31-1~experimental.1_amd64.deb
 3c869616302efbfaf34cf83d9aafae78 869558 devel optional linux-libc-dev_2.6.31-1~experimental.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrJFDwACgkQeW7Lc5tEHqiXpgCgpUNlSxMryvYZLrN7yOkNhUVl
6ZMAn1IsQOgyCkq0FkN4VrJHq2lGMLTu
=Pwyo
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:23 GMT) Full text and rfc822 format available.

Notification sent to Bernard Boudet <debian-bugs-2007@nospam.pz.podzone.net>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:23 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:24 GMT) Full text and rfc822 format available.

Notification sent to "Gregg Reed" <gareed105@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:24 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:24 GMT) Full text and rfc822 format available.

Notification sent to clayton <ckoeni@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:25 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:25 GMT) Full text and rfc822 format available.

Notification sent to Dererk <dererk@madap.com.ar>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:25 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:26 GMT) Full text and rfc822 format available.

Notification sent to Chris Lale <chrislale@untrammelled.co.uk>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:26 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:27 GMT) Full text and rfc822 format available.

Notification sent to Free Wheeler <fwheeler_1@yahoo.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:27 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:28 GMT) Full text and rfc822 format available.

Notification sent to <guanghao.hu@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:28 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:29 GMT) Full text and rfc822 format available.

Notification sent to Crisson <crissonhu@hotmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:29 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 18:00:30 GMT) Full text and rfc822 format available.

Notification sent to <guanghao.hu@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 18:00:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jan 2010 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:48:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.